#include "sgl.h"

#define	MAX_CONVEX	20
#define APP_MAX_APP_NAME_CHARS      30
#define APP_MAX_APP_NAME_BYTES      (APP_MAX_APP_NAME_CHARS * sizeof(TCHAR))
#define APP_MAX_STRING_RC_CHARS     512
#define APP_MAX_STRING_RC_BYTES     (APP_MAX_STRING_RC_CHARS * sizeof(TCHAR))
#define APP_MAX_STRING_ERROR_CHARS  512
#define APP_MAX_STRING_ERROR_BYTES  (APP_MAX_STRING_ERROR_CHARS * sizeof(TCHAR))
#define NAME	"VL Logo\0"


void AppErrorHandler();
void TestCoverageResults(int nTest);

int AppMsgBox
(
    HWND                    hwnd,
    UINT                    fuStyle,
    PTSTR                   pszFormat,
    ...
);

int AppMsgBoxId
(
    HWND                    hwnd,
    UINT                    fuStyle,
    UINT                    uIdsFormat,
    ...
);


typedef struct _GLOBALVARS
{
	/***************/
	/* KEY COLOURS */
	/***************/

	HBRUSH               hBrush;           
	BYTE                 keyColour;	       

	/******************/
	/* DEMO ID NUMBER */
	/******************/

	int                  demoNumber;

	/***************/
	/* MESH HANDLE */
	/***************/

	int					polygonMesh;

	/******************/
	/* CONVES HANDLES */
	/******************/

	int					convexPolydron[MAX_CONVEX];
	int					convexPolydronCnt;

	/*******************/
	/* LEVEL OF DETAIL */
	/*******************/

	int					detailList;
	int					levelDetail;

	/**************/
	/* VIEW SETUP */
	/**************/

	int                  screenDevice;
	int                  viewport;
	int                  camera;
	int                  cameraTransform;

	int                  hQualList;
	sgl_bool			 shadingQual;
	sgl_bool			 texturingQual;
	sgl_bool			 collisionQual;
	sgl_bool			 shadowQual;
	sgl_bool			 fogQual;

	/*******/
	/* FOG */
	/*******/

	sgl_colour           fogColour;                
	float                fogDensity;		   

	/******************/
	/* LIGHTING SETUP */
	/******************/

	sgl_bool			bMultiShadows;
	sgl_colour			MultiShadowsColour;
	int					lightList;
	/******************/
	/* LIGHTING SETUP */
	/******************/

	int                  lightMove;                   /* light to move               */
	int                  lightNumberUsed;             /* total number of lights used */
	int                  lightNumber;                 /* light in use                */
	sgl_bool             lightOff              [6];
	int                  lightTransform        [6];
	int                  lightHandle           [6];   /* handle of light             */
	int                  lightType             [6];	  /* 0 = parallel, 1 = point     */
	sgl_colour           lightColour           [6];
	sgl_bool             lightColoured         [6];
	sgl_vector           lightDirection        [6];
	sgl_vector           lightPosition         [6];
	int                  lightConcentration    [6];
	sgl_bool             lightCastsShadows     [6];
	sgl_bool             lightSmoothHighlights [6];

	/******************/
	/* MATERIAL SETUP */
	/******************/
					    
	sgl_colour			ambientMatColour;
	sgl_colour			diffuseMatColour;
	sgl_colour			specularMatColour;
	int					specularMatShine;
	sgl_colour			glowMatColour;
	float				opacityMatValue;

	/*****************/
	/* AMBIENT LIGHT */
	/*****************/
					    
	sgl_colour           ambientColour;
	int                  ambientHandle;

	/******************/
	/* TEXTURES SETUP */
	/******************/

	long				lFreeMem;
	sgl_tex_callback_struct	texData[2];				  /* cached texture data structure */	
	int                  nCachedTexture;              /* cach handle for texture	   */
	int                  textureNumberUsed;           /* total number of textures used */
	int                  textureNumber;               /* texture in use                */
	sgl_smap_types       textureIntermediateMap[6];
	sgl_omap_types       textureObjectMap      [6];
	float                textureSu             [6];	  /* texture scale u               */
	float                textureSv             [6];	  /* texture scale u               */
	float                textureOu             [6];	  /* texture offset u              */
	float                textureOv             [6];	  /* texture offset v              */
	float                textureRadius         [6];	  /* radius for intermediate map   */
	sgl_vector           textureRotationAxis   [6];
	float				 textureRotationAngle  [6];
	float                textureRefIndex       [6];
	int                  textureList           [6];	  /* handle to a list              */
	int                  textureHandle         [6];	  /* handle of the texture in list */
	char                 textureName           [6][_MAX_PATH]; /* BMP path and file name        */
	sgl_intermediate_map textureMem            [6];	  /* handle to texture memory      */

	int                  materialHandle[2];

	/* Logo handle.
	 */
	int					nTransform;
	int					vertPlanePolydron;
	int					horizPlanePolydron;

	/* Background Colour.
	 */
	sgl_colour			backgroundColour;
	int					backgroundList;
	int					cameraList;

 	/* Initialise camera settings.
	 */
	float				zoomCamera;
	float				foregroundCamera;
	float				inv_backgroundCamera;

	int					leftViewport;
	int					topViewport;
	int					rightViewport;
	int					bottomViewport;
	float				leftCamera;
	float				topCamera;
	float				rightCamera;
	float				bottomCamera;

 	/* Initialise device settings.
	 */
	int					numberDevice;
	int					xDevice;
	int					yDevice;
	sgl_device_colour_types	modeDevice;
	sgl_bool			doublebufferDevice;
}
GLOBALVARS;
