/****************************************************************************************
 *	Name		:	nefertt.c
 *	Title		:	3D VideoLogic Logo
 *	Author		:	VideoLogic Limited
 *	Created		:	20/09/1996
 *
 *	Copyright 	:	1995 by VideoLogic Limited. All rights reserved.
 *					No part of this software, either material or conceptual 
 *					may be copied or distributed, transmitted, transcribed,
 *					stored in a retrieval system or translated into any 
 *					human or computer language in any form by any means,
 *					electronic, mechanical, manual or other-wise, or 
 *					disclosed to third parties without the express written
 *					permission of VideoLogic Limited, Unit 8, HomePark
 *					Industrial Estate, King's Langley, Hertfordshire,
 *					WD4 8LZ, U.K.
 *
 *	Description	:	Creates Nefertt polygon mesh.
 *
 *	Platform	:	ANSI compatible
 *
 *	History		:
 *
 * $Log:	nefertt.c $
 * Revision 1.1  96/11/15  09:31:55  EdwardForde
 * Initial revision
 * 
 * 
 ***************************************************************************************/
																					   
/****************************************************************************************
/*								INCLUDE FILES											*
/***************************************************************************************/

#include <windows.h>
#include <math.h>
#include <stdlib.h>
#include "sgl.h"
#include "frontend.h"
#include "nefertt.h"

#pragma warning (disable : 4244)  /* Float to Double Conversion Warning */

/****************************************************************************************
/*								LOCAL DEFINE DEFINITIONS 								*
/***************************************************************************************/

/****************************************************************************************
/*								EXTERNAL GLOBAL VARIABLES								*
/***************************************************************************************/

/****************************************************************************************
/*								EXTERNAL FUNCTION DEFINITIONS							*
/***************************************************************************************/

/****************************************************************************************
/*								DEFINED GLOBAL VARIABLES								*
/***************************************************************************************/

/****************************************************************************************
/*								LOCAL VARIABLES											*
/***************************************************************************************/

float	factor = 20.0f;

sgl_vector Vertices[NUM_VERTICES] = 
{
	{-2.250000f,		-0.350000f, 		3.110000f},
	{-2.170000f,		-0.520000f, 		3.070000f},
	{-2.270000f,		-0.500000f, 		3.230000f},
	{-2.340000f,		-0.270000f, 		3.200000f},
	{-2.350000f,		-0.240000f, 		3.000000f},
	{-2.250000f,		-0.410000f, 		2.950000f},
	{-2.200000f,		-0.650000f, 		2.970000f},
	{-2.080000f,		-0.500000f, 		2.800000f},
	{-2.100000f,		-0.720000f, 		2.850000f},
	{-2.210000f,		-0.770000f, 		3.090000f},
	{-2.230000f,		-0.710000f, 		3.140000f},
	{-2.530000f,		-0.420000f, 		3.400000f},
	{-2.440000f,		-0.630000f, 		3.360000f},
	{-2.600000f,		-0.580000f, 		3.550000f},
	{-2.580000f,		-0.370000f, 		3.490000f},
	{-2.530000f,		-0.230000f, 		3.330000f},
	{-2.460000f,		-0.890000f, 		3.350000f},
	{-2.320000f,		-0.670000f, 		3.270000f},
	{-2.220000f,		-0.850000f, 		3.230000f},
	{-2.230000f,		-0.980000f, 		3.250000f},
	{-2.330000f,		-1.170000f, 		3.230000f},
	{-2.520000f,		-1.090000f, 		3.360000f},
	{-2.620000f,		-0.890000f, 		3.530000f},
	{-2.190000f,		-1.120000f, 		3.090000f},
	{-2.110000f,		-0.840000f, 		2.980000f},
	{-2.010000f,		-0.940000f, 		2.960000f},
	{-2.130000f,		-1.230000f, 		2.840000f},
	{-2.250000f,		-1.230000f, 		3.040000f},
	{-2.080000f,		-0.840000f, 		2.840000f},
	{-2.050000f,		-0.810000f, 		2.760000f},
	{-2.100000f,		-0.910000f, 		2.760000f},
	{-2.020000f,		-0.980000f, 		2.830000f},
	{-2.080000f,		-0.820000f, 		2.920000f},
	{-2.120000f,		-1.090000f, 		2.650000f},
	{-2.060000f,		-0.980000f, 		2.600000f},
	{-2.030000f,		-1.170000f, 		2.440000f},
	{-2.110000f,		-1.310000f, 		2.500000f},
	{-2.060000f,		-1.150000f, 		2.760000f},
	{-2.270000f,		-1.340000f, 		2.730000f},
	{-2.130000f,		-1.520000f, 		2.500000f},
	{-2.270000f,		-1.550000f, 		2.820000f},
	{-2.360000f,		-1.350000f, 		2.950000f},
	{-2.040000f,		-1.760000f, 		2.440000f},
	{-1.990000f,		-1.590000f, 		2.350000f},
	{-1.880000f,		-1.830000f, 		2.420000f},
	{-2.040000f,		-1.880000f, 		2.580000f},
	{-2.170000f,		-1.770000f, 		2.810000f},
	{-2.180000f,		-1.630000f, 		2.620000f},
	{-2.000000f,		-1.310000f, 		2.380000f},
	{-2.430000f,		-1.250000f, 		3.190000f},
	{-2.330000f,		-1.490000f, 		3.050000f},
	{-2.370000f,		-1.450000f, 		3.260000f},
	{-2.480000f,		-1.250000f, 		3.420000f},
	{-2.520000f,		-1.150000f, 		3.380000f},
	{-2.250000f,		-1.630000f, 		3.010000f},
	{-1.910000f,		-1.820000f, 		2.770000f},
	{-1.980000f,		-1.630000f, 		3.020000f},
	{-1.700000f,		-1.880000f, 		2.590000f},
	{-1.700000f,		-1.670000f, 		2.830000f},
	{-1.770000f,		-1.390000f, 		3.180000f},
	{-2.120000f,		-1.370000f, 		3.270000f},
	{-1.890000f,		-1.080000f, 		3.440000f},
	{-2.270000f,		-1.010000f, 		3.540000f},
	{-2.410000f,		-0.570000f, 		3.590000f},
	{-2.670000f,		-0.420000f, 		3.610000f},
	{-2.600000f,		-0.890000f, 		3.590000f},
	{-2.100000f,		-0.730000f, 		3.590000f},
	{-2.210000f,		-0.390000f, 		3.560000f},
	{-2.450000f,		-0.230000f, 		3.470000f},
	{-2.680000f,		-0.570000f, 		3.580000f},
	{-2.680000f,		-0.360000f, 		3.510000f},
	{-2.690000f,		-0.170000f, 		3.450000f},
	{-2.670000f,		-0.210000f, 		3.420000f},
	{-2.340000f,		-0.160000f, 		3.450000f},
	{-2.460000f,		-0.070000f, 		3.260000f},
	{-2.450000f,		-0.080000f, 		3.070000f},
	{-2.310000f,		-0.040000f, 		3.130000f},
	{-2.490000f,		-0.180000f, 		3.170000f},
	{-2.320000f,		-0.200000f, 		2.900000f},
	{-2.110000f,		-0.150000f, 		2.840000f},
	{-2.240000f,		-0.250000f, 		2.880000f},
	{-2.000000f,		-1.160000f, 		2.230000f},
	{-2.070000f,		-0.740000f, 		2.090000f},
	{-2.080000f,		-0.810000f, 		1.840000f},
	{-2.020000f,		-1.230000f, 		1.420000f},
	{-1.940000f,		-1.660000f, 		1.610000f},
	{-1.920000f,		-1.920000f, 		1.670000f},
	{-1.940000f,		-1.790000f, 		2.110000f},
	{-1.500000f,		-1.750000f, 		4.020000f},
	{-1.540000f,		-2.050000f, 		3.120000f},
	{-1.690000f,		-2.260000f, 		2.550000f},
	{-1.650000f,		-2.740000f, 		2.990000f},
	{-1.280000f,		-2.800000f, 		3.580000f},
	{-1.220000f,		-2.320000f, 		3.750000f},
	{-1.920000f,		-2.290000f, 		1.800000f},
	{-1.900000f,		-2.260000f, 		2.200000f},
	{-1.840000f,		-2.200000f, 		1.470000f},
	{-1.840000f,		-2.470000f, 		1.550000f},
	{-1.750000f,		-3.130000f, 		1.980000f},
	{-1.780000f,		-2.960000f, 		2.260000f},
	{-1.710000f,		-2.990000f, 		2.440000f},
	{-1.690000f,		-3.160000f, 		2.260000f},
	{-1.480000f,		-3.440000f, 		2.230000f},
	{-1.620000f,		-3.500000f, 		2.800000f},
	{-0.850000f,		-2.750000f, 		4.220000f},
	{-1.170000f,		-3.220000f, 		3.860000f},
	{-0.870000f,		-3.200000f, 		4.240000f},
	{-0.210000f,		-2.670000f, 		4.220000f},
	{-0.730000f,		-2.630000f, 		4.310000f},
	{-0.690000f,		-2.590000f, 		4.410000f},
	{-1.190000f,		-2.140000f, 		4.200000f},
	{-0.230000f,		-3.200000f, 		4.210000f},
	{-0.240000f,		-3.580000f, 		4.350000f},
	{-0.930000f,		-3.590000f, 		4.370000f},
	{-1.500000f,		-4.070000f, 		3.700000f},
	{-1.520000f,		-4.420000f, 		3.910000f},
	{-1.070000f,		-4.050000f, 		4.520000f},
	{-0.930000f,		-4.020000f, 		4.630000f},
	{-1.030000f,		-5.350000f, 		5.460000f},
	{-1.840000f,		-6.080000f, 		5.650000f},
	{-1.130000f,		-6.210000f, 		5.950000f},
	{-0.370000f,		-6.200000f, 		6.030000f},
	{-0.340000f,		-5.460000f, 		5.580000f},
	{-0.300000f,		-4.710000f, 		5.070000f},
	{-1.030000f,		-4.620000f, 		4.980000f},
	{-1.260000f,		-4.670000f, 		4.840000f},
	{-1.520000f,		-5.330000f, 		5.210000f},
	{-0.270000f,		-4.170000f, 		4.730000f},
	{-1.960000f,		-5.420000f, 		4.690000f},
	{-2.370000f,		-5.800000f, 		4.420000f},
	{-2.270000f,		-5.820000f, 		4.990000f},
	{-1.670000f,		-4.940000f, 		4.290000f},
	{-2.080000f,		-5.530000f, 		4.170000f},
	{-2.060000f,		-5.740000f, 		3.870000f},
	{-2.090000f,		-6.410000f, 		3.600000f},
	{-2.360000f,		-5.980000f, 		4.010000f},
	{-1.810000f,		-5.180000f, 		3.910000f},
	{-1.800000f,		-5.360000f, 		3.690000f},
	{-1.830000f,		-6.130000f, 		3.510000f},
	{-1.560000f,		-6.470000f, 		3.250000f},
	{-1.410000f,		-7.130000f, 		3.100000f},
	{-1.800000f,		-6.790000f, 		3.340000f},
	{-1.620000f,		-5.790000f, 		3.330000f},
	{-1.380000f,		-6.160000f, 		3.050000f},
	{-1.350000f,		-6.730000f, 		3.120000f},
	{-1.510000f,		-5.180000f, 		3.060000f},
	{-1.610000f,		-4.880000f, 		3.330000f},
	{-1.540000f,		-4.590000f, 		3.040000f},
	{-1.300000f,		-5.000000f, 		2.610000f},
	{-1.180000f,		-5.580000f, 		2.680000f},
	{-1.660000f,		-4.670000f, 		3.570000f},
	{-1.580000f,		-4.340000f, 		3.350000f},
	{-2.090000f,		-6.410000f, 		3.610000f},
	{-0.960000f,		-7.300000f,			2.910000f},
	{-1.050000f,		-6.480000f, 		2.840000f},
	{-0.810000f,		-6.590000f, 		2.840000f},
	{-0.660000f,		-7.420000f, 		2.960000f},
	{-0.490000f,		-7.440000f, 		2.970000f},
	{-0.500000f,		-6.750000f, 		2.860000f},
	{-0.310000f,		-6.860000f, 		2.890000f},
	{-0.330000f,		-7.490000f, 		2.970000f},
	{-0.570000f,		-6.000000f, 		2.540000f},
	{-1.020000f,		-5.720000f, 		2.620000f},
	{-0.610000f,		-5.500000f, 		2.340000f},
	{-0.260000f,		-5.640000f, 		2.340000f},
	{-0.280000f,		-6.140000f, 		2.570000f},
	{-1.590000f,		-3.960000f,			3.080000f},
	{-1.520000f,		-3.590000f, 		3.450000f},
	{-1.620000f,		-3.550000f, 		3.070000f},
	{-1.450000f,		-4.300000f, 		2.660000f},
	{-0.650000f,		-4.920000f, 		2.120000f},
	{-1.170000f,		-5.130000f, 		2.540000f},
	{-1.330000f,		-4.460000f, 		2.500000f},
	{-1.000000f,		-4.210000f, 		2.020000f},
	{-0.690000f,		-3.990000f, 		1.610000f},
	{-0.230000f,		-5.040000f, 		2.050000f},
	{-1.480000f,		-3.640000f, 		2.380000f},
	{-1.230000f,		-3.680000f, 		2.000000f},
	{-0.190000f,		-4.050000f, 		1.520000f},
	{-0.170000f,		-3.790000f, 		1.090000f},
	{-0.700000f,		-3.750000f, 		1.260000f},
	{-1.280000f,		-3.500000f, 		1.440000f},
	{-1.650000f,		-3.280000f, 		2.090000f},
	{-1.420000f,		-3.460000f, 		1.640000f},
	{-1.520000f,		-3.300000f, 		1.390000f},
	{-0.670000f,		-3.590000f, 		0.790000f},
	{-1.080000f,		-3.390000f, 		0.590000f},
	{-0.690000f,		-3.580000f, 		0.440000f},
	{-0.140000f,		-3.620000f, 		0.190000f},
	{-1.700000f,		-3.000000f, 		1.440000f},
	{-1.530000f,		-2.850000f, 		0.990000f},
	{-1.770000f,		-2.060000f, 		1.120000f},
	{-1.610000f,		-2.290000f, 		0.850000f},
	{-1.430000f,		-2.500000f, 		0.640000f},
	{-1.280000f,		-2.880000f, 		0.550000f},
	{-1.110000f,		-3.180000f, 		0.420000f},
	{-0.760000f,		-3.470000f, 		0.060000f},
	{-0.410000f,		-3.590000f, 		0.010000f},
	{-0.870000f,		-3.280000f, 		0.070000f},
	{-0.660000f,		-3.290000f, 		-0.170000f},
	{-0.530000f,		-3.480000f, 		-0.130000f},
	{-0.120000f,		-3.460000f, 		-0.230000f},
	{-0.490000f,		-3.330000f, 		-0.310000f},
	{-0.500000f,		-3.050000f, 		-0.300000f},
	{-0.110000f,		-3.120000f, 		-0.380000f},
	{-0.110000f,		-3.340000f, 		-0.370000f},
	{-1.040000f,		-2.990000f, 		0.290000f},
	{-1.130000f,		-2.670000f, 		0.320000f},
	{-0.890000f,		-2.770000f, 		0.140000f},
	{-0.780000f,		-2.990000f, 		-0.020000f},
	{-1.870000f,		-1.830000f, 		1.340000f},
	{-1.980000f,		-1.250000f, 		1.130000f},
	{-1.830000f,		-1.750000f, 		1.000000f},
	{-1.710000f,		-1.740000f, 		0.730000f},
	{-1.520000f,		-2.220000f, 		0.670000f},
	{-1.890000f,		-1.260000f, 		0.830000f},
	{-1.670000f,		-1.270000f, 		0.540000f},
	{-1.460000f,		-1.650000f, 		0.420000f},
	{-1.190000f,		-2.020000f, 		0.270000f},
	{-1.240000f,		-1.490000f, 		0.210000f},
	{-1.000000f,		-1.750000f, 		0.070000f},
	{-0.960000f,		-2.050000f, 		0.000000f},
	{-1.160000f,		-2.360000f, 		0.260000f},
	{-0.360000f,		-2.760000f, 		-0.270000f},
	{-0.520000f,		-2.740000f, 		-0.230000f},
	{-0.380000f,		-2.660000f, 		-0.340000f},
	{-0.100000f,		-2.800000f, 		-0.290000f},
	{-0.540000f,		-2.640000f, 		-0.290000f},
	{-0.630000f,		-2.560000f, 		-0.180000f},
	{-0.550000f,		-2.500000f, 		-0.260000f},
	{-0.400000f,		-2.530000f, 		-0.360000f},
	{-0.230000f,		-2.560000f, 		-0.370000f},
	{-0.090000f,		-2.670000f, 		-0.370000f},
	{-0.290000f,		-2.380000f, 		-0.300000f},
	{-0.080000f,		-2.420000f, 		-0.340000f},
	{-0.090000f,		-2.560000f, 		-0.390000f},
	{-0.660000f,		-2.680000f, 		-0.080000f},
	{-0.870000f,		-2.420000f, 		0.130000f},
	{-0.660000f,		-2.080000f, 		-0.160000f},
	{-0.560000f,		-2.190000f, 		-0.260000f},
	{-0.560000f,		-2.300000f, 		-0.240000f},
	{-0.540000f,		-2.390000f, 		-0.200000f},
	{-0.430000f,		-2.390000f, 		-0.270000f},
	{-0.470000f,		-2.260000f, 		-0.320000f},
	{-0.190000f,		-2.250000f, 		-0.460000f},
	{-0.320000f,		-2.250000f, 		-0.390000f},
	{-0.260000f,		-2.080000f, 		-0.460000f},
	{-0.070000f,		-2.110000f, 		-0.480000f},
	{-0.080000f,		-2.250000f, 		-0.460000f},
	{-0.470000f,		-2.150000f, 		-0.370000f},
	{-0.220000f,		-1.990000f, 		-0.440000f},
	{-0.390000f,		-1.680000f, 		-0.230000f},
	{-0.160000f,		-1.750000f, 		-0.390000f},
	{-0.060000f,		-1.780000f, 		-0.390000f},
	{-0.070000f,		-1.990000f, 		-0.420000f},
	{-0.830000f,		-1.920000f, 		-0.060000f},
	{-0.560000f,		-1.640000f, 		-0.130000f},
	{-0.210000f,		-1.490000f, 		-0.270000f},
	{-0.500000f,		-1.540000f, 		-0.310000f},
	{-0.360000f,		-1.490000f, 		-0.440000f},
	{-0.230000f,		-1.510000f, 		-0.520000f},
	{-0.150000f,		-1.600000f, 		-0.570000f},
	{-0.570000f,		-1.500000f, 		-0.210000f},
	{-0.630000f,		-1.440000f, 		-0.060000f},
	{-0.530000f,		-1.370000f, 		-0.300000f},
	{-0.400000f,		-1.430000f, 		-0.480000f},
	{-0.230000f,		-1.440000f, 		-0.650000f},
	{-0.270000f,		-1.280000f, 		-0.600000f},
	{-0.140000f,		-1.240000f, 		-0.690000f},
	{-0.040000f,		-1.350000f, 		-0.730000f},
	{-0.050000f,		-1.620000f, 		-0.600000f},
	{-1.440000f,		-1.260000f, 		0.330000f},
	{-1.590000f,		-0.880000f, 		0.500000f},
	{-1.340000f,		-0.940000f, 		0.330000f},
	{-1.060000f,		-1.230000f, 		0.130000f},
	{-1.010000f,		-0.920000f, 		0.190000f},
	{-1.260000f,		-0.660000f, 		0.360000f},
	{-1.000000f,		-0.650000f, 		0.290000f},
	{-0.700000f,		-0.620000f, 		0.270000f},
	{-0.550000f,		-0.750000f, 		0.090000f},
	{-0.640000f,		-1.090000f, 		-0.010000f},
	{-0.430000f,		-1.130000f, 		-0.160000f},
	{-0.340000f,		-1.200000f, 		-0.390000f},
	{-0.210000f,		-0.930000f, 		-0.390000f},
	{-0.460000f,		-0.410000f, 		0.210000f},
	{-0.200000f,		-0.010000f, 		0.090000f},
	{-0.030000f,		-0.690000f, 		-0.390000f},
	{-0.010000f,		0.020000f, 		0.000000f},
	{-1.520000f,		-0.380000f, 		0.590000f},
	{-1.600000f,		-0.540000f, 		0.620000f},
	{-1.780000f,		-0.360000f, 		0.890000f},
	{-1.480000f,		-0.220000f, 		0.480000f},
	{-1.430000f,		-0.340000f, 		0.480000f},
	{-1.340000f,		-0.460000f, 		0.430000f},
	{-1.230000f,		-0.500000f, 		0.360000f},
	{-1.280000f,		-0.400000f, 		0.360000f},
	{-1.130000f,		-0.410000f, 		0.310000f},
	{-1.000000f,		-0.510000f, 		0.310000f},
	{-0.780000f,		-0.500000f, 		0.290000f},
	{-0.900000f,		-0.400000f, 		0.290000f},
	{-0.660000f,		-0.380000f, 		0.360000f},
	{-0.590000f,		-0.440000f, 		0.300000f},
	{-0.640000f,		-0.160000f, 		0.300000f},
	{-0.490000f,		-0.060000f, 		0.330000f},
	{-1.780000f,		-0.830000f, 		0.690000f},
	{-1.950000f,		-0.690000f, 		1.020000f},
	{-2.040000f,		-0.900000f, 		1.300000f},
	{-2.040000f,		-0.570000f, 		1.580000f},
	{-1.970000f,		-0.360000f, 		1.340000f},
	{-1.940000f,		-0.390000f, 		1.110000f},
	{-1.570000f,		-0.070000f, 		0.690000f},
	{-1.850000f,		-0.230000f, 		1.000000f},
	{-1.730000f,		0.090000f, 		0.740000f},
	{-1.320000f,		0.180000f, 		0.480000f},
	{-1.920000f,		-0.070000f, 		1.090000f},
	{-2.020000f,		-0.230000f, 		1.830000f},
	{-1.930000f,		0.170000f, 		1.410000f},
	{-1.790000f,		0.210000f, 		0.800000f},
	{-1.120000f,		0.230000f, 		0.380000f},
	{-1.000000f,		-0.050000f, 		0.250000f},
	{-1.220000f,		-0.070000f, 		0.290000f},
	{-1.130000f,		0.420000f, 		0.310000f},
	{-0.820000f,		0.400000f, 		0.260000f},
	{-0.850000f,		0.200000f, 		0.360000f},
	{-0.620000f,		0.100000f, 		0.360000f},
	{-0.490000f,		0.260000f, 		0.190000f},
	{-0.450000f,		0.410000f, 		0.130000f},
	{-0.780000f,		0.570000f, 		0.210000f},
	{-0.690000f,		0.890000f, 		0.360000f},
	{-0.250000f,		0.760000f, 		0.290000f},
	{-1.170000f,		0.630000f, 		0.310000f},
	{-1.460000f,		0.360000f, 		0.470000f},
	{-1.520000f,		0.520000f, 		0.480000f},
	{-1.160000f,		0.920000f, 		0.470000f},
	{0.000000f,			0.640000f, 		0.250000f},
	{0.010000f,			1.410000f, 		0.620000f},
	{-0.530000f,		1.410000f, 		0.600000f},
	{-1.160000f,		1.320000f, 		0.710000f},
	{-1.570000f,		1.150000f, 		0.910000f},
	{-1.520000f,		0.790000f, 		0.660000f},
	{-1.830000f,		0.500000f, 		1.050000f},
	{-1.970000f,		0.460000f, 		1.770000f},
	{-1.840000f,		0.830000f, 		1.320000f},
	{-2.050000f,		-0.060000f, 		2.580000f},
	{1.800000f,			-1.370000f, 		1.230000f},
	{1.720000f,			-1.380000f, 		0.920000f},
	{1.810000f,			-0.810000f, 		1.120000f},
	{1.870000f,			-0.190000f, 		2.680000f},
	{1.910000f,			-0.280000f, 		2.940000f},
	{1.860000f,			-0.630000f, 		2.900000f},
	{1.870000f,			-0.870000f, 		2.190000f},
	{1.870000f,			-0.360000f, 		1.930000f},
	{1.890000f,			-0.940000f, 		1.940000f},
	{1.880000f,			-0.700000f, 		1.680000f},
	{1.830000f,			-0.480000f, 		1.440000f},
	{1.830000f,			0.050000f, 		1.510000f},
	{1.860000f,			0.340000f, 		1.870000f},
	{1.560000f,			1.050000f, 		0.990000f},
	{1.780000f,			0.710000f, 		1.410000f},
	{1.500000f,			0.690000f, 		0.740000f},
	{1.490000f,			0.420000f, 		0.560000f},
	{1.770000f,			0.380000f, 		1.140000f},
	{1.720000f,		0.100000f, 		0.890000f},
	{1.150000f,		0.850000f, 		0.530000f},
	{1.170000f,		1.250000f, 		0.770000f},
	{0.550000f,		1.380000f, 		0.630000f},
	{0.690000f,		0.850000f, 		0.400000f},
	{0.250000f,		0.740000f, 		0.300000f},
	{1.420000f,		0.270000f, 		0.540000f},
	{1.660000f,		-0.020000f, 		0.830000f},
	{1.270000f,		0.100000f, 		0.550000f},
	{1.490000f,		-0.170000f, 		0.770000f},
	{1.100000f,		0.350000f, 		0.370000f},
	{0.770000f,		0.520000f, 		0.250000f},
	{1.150000f,		0.560000f, 		0.370000f},
	{0.790000f,		0.350000f, 		0.300000f},
	{0.460000f,		0.230000f, 		0.210000f},
	{0.160000f,		-0.020000f, 		0.100000f},
	{0.430000f,		0.380000f, 		0.150000f},
	{0.430000f,		-0.090000f, 		0.350000f},
	{1.160000f,		-0.150000f, 		0.350000f},
	{1.400000f,		-0.310000f, 		0.550000f},
	{0.580000f,		-0.200000f, 		0.330000f},
	{0.570000f,		0.060000f, 		0.390000f},
	{0.810000f,		0.150000f, 		0.400000f},
	{0.940000f,		-0.110000f, 		0.300000f},
	{1.080000f,		0.160000f, 		0.440000f},
	{1.740000f,		-0.350000f, 		1.090000f},
	{1.820000f,		-0.190000f, 		1.190000f},
	{1.810000f,		-0.510000f, 		1.210000f},
	{1.670000f,		-0.470000f, 		0.980000f},
	{1.870000f,		-1.030000f, 		1.400000f},
	{1.820000f,		-1.350000f, 		1.520000f},
	{0.610000f,		-0.660000f, 		0.300000f},
	{0.460000f,		-0.780000f, 		0.120000f},
	{0.510000f,		-0.480000f, 		0.330000f},
	{1.490000f,		-0.640000f, 		0.700000f},
	{1.160000f,		-0.740000f, 		0.420000f},
	{1.250000f,		-0.540000f, 		0.500000f},
	{1.650000f,		-0.940000f, 		0.780000f},
	{1.520000f,		-1.370000f, 		0.620000f},
	{1.470000f,		-0.980000f, 		0.580000f},
	{1.220000f,		-1.020000f, 		0.400000f},
	{0.380000f,		-0.440000f, 		0.230000f},
	{0.580000f,		-0.420000f, 		0.390000f},
	{0.820000f,		-0.460000f, 		0.330000f},
	{1.050000f,		-0.480000f, 		0.370000f},
	{0.910000f,		-0.570000f, 		0.360000f},
	{1.200000f,		-0.480000f, 		0.420000f},
	{1.340000f,		-0.430000f, 		0.550000f},
	{0.690000f,		-0.550000f, 		0.330000f},
	{0.900000f,		-0.710000f, 		0.340000f},
	{1.140000f,		-0.580000f, 		0.420000f},
	{1.420000f,		-0.470000f, 		0.670000f},
	{1.620000f,		-1.860000f, 		1.090000f},
	{0.530000f,		-1.130000f, 		0.020000f},
	{0.330000f,		-1.150000f, 		-0.140000f},
	{0.060000f,		-1.250000f, 		-0.680000f},
	{0.180000f,		-1.290000f, 		-0.590000f},
	{0.130000f,		-0.940000f, 		-0.380000f},
	{0.250000f,		-1.220000f, 		-0.370000f},
	{0.300000f,		-1.450000f, 		-0.460000f},
	{0.420000f,		-1.400000f, 		-0.280000f},
	{0.500000f,		-1.480000f, 		-0.030000f},
	{0.930000f,		-1.290000f, 		0.180000f},
	{0.840000f,		-1.810000f, 		0.120000f},
	{1.090000f,		-1.570000f, 		0.270000f},
	{0.420000f,		-1.670000f, 		-0.100000f},
	{0.900000f,		-0.980000f, 		0.240000f},
	{1.300000f,		-1.350000f, 		0.400000f},
	{1.290000f,		-1.740000f, 		0.490000f},
	{0.040000f,		-1.610000f, 		-0.570000f},
	{0.130000f,		-1.450000f, 		-0.640000f},
	{0.030000f,		-1.760000f, 		-0.390000f},
	{0.250000f,		-1.510000f, 		-0.420000f},
	{0.120000f,		-1.520000f, 		-0.510000f},
	{0.380000f,		-1.570000f, 		-0.290000f},
	{0.260000f,		-1.700000f, 		-0.210000f},
	{0.450000f,		-1.530000f, 		-0.180000f},
	{0.090000f,		-1.500000f, 		-0.260000f},
	{0.500000f,		-2.120000f, 		-0.130000f},
	{0.670000f,		-1.970000f, 		-0.020000f},
	{0.790000f,		-2.110000f, 		0.050000f},
	{0.110000f,		-2.090000f, 		-0.450000f},
	{0.080000f,		-2.000000f, 		-0.430000f},
	{0.310000f,		-2.180000f, 		-0.350000f},
	{0.120000f,		-2.390000f, 		-0.290000f},
	{0.160000f,		-2.270000f, 		-0.380000f},
	{0.300000f,		-2.280000f, 		-0.300000f},
	{0.390000f,		-2.330000f, 		-0.220000f},
	{0.390000f,		-2.220000f, 		-0.240000f},
	{0.030000f,		-2.260000f, 		-0.450000f},
	{0.220000f,		-2.550000f, 		-0.340000f},
	{0.250000f,		-2.410000f, 		-0.250000f},
	{0.360000f,		-2.420000f, 		-0.180000f},
	{0.360000f,		-2.530000f, 		-0.240000f},
	{0.670000f,		-2.820000f, 		0.180000f},
	{0.450000f,		-2.720000f, 		-0.050000f},
	{0.670000f,		-2.470000f, 		0.170000f},
	{0.440000f,		-2.590000f, 		-0.150000f},
	{0.950000f,		-2.430000f, 		0.310000f},
	{0.900000f,		-2.740000f, 		0.370000f},
	{0.550000f,		-3.030000f, 		0.010000f},
	{0.280000f,		-3.080000f, 		-0.280000f},
	{0.320000f,		-2.770000f, 		-0.210000f},
	{0.190000f,		-2.680000f, 		-0.330000f},
	{0.050000f,		-2.570000f, 		-0.360000f},
	{0.350000f,		-2.670000f, 		-0.270000f},
	{0.160000f,		-2.780000f, 		-0.260000f},
	{1.190000f,		-2.580000f, 		0.710000f},
	{1.030000f,		-2.950000f, 		0.610000f},
	{1.380000f,		-2.390000f, 		0.930000f},
	{1.300000f,		-2.310000f, 		0.740000f},
	{1.540000f,		-2.170000f, 		1.210000f},
	{1.010000f,		-2.090000f, 		0.330000f},
	{1.520000f,		-1.840000f, 		0.810000f},
	{1.640000f,		-1.940000f, 		1.430000f},
	{1.710000f,		-1.780000f, 		1.700000f},
	{1.670000f,		-2.040000f, 		1.760000f},
	{1.580000f,		-2.310000f, 		1.560000f},
	{0.620000f,		-3.330000f, 		0.110000f},
	{0.420000f,		-3.320000f, 		-0.140000f},
	{0.840000f,		-3.240000f, 		0.470000f},
	{0.790000f,		-3.050000f, 		0.340000f},
	{0.790000f,		-3.450000f, 		0.640000f},
	{0.270000f,		-3.510000f, 		-0.110000f},
	{0.140000f,		-3.610000f, 		0.020000f},
	{0.400000f,		-3.620000f, 		0.470000f},
	{0.250000f,		-3.350000f, 		-0.290000f},
	{0.490000f,		-3.510000f, 		0.090000f},
	{1.560000f,		-2.580000f, 		1.640000f},
	{1.390000f,		-3.100000f, 		1.520000f},
	{1.250000f,		-2.940000f, 		1.060000f},
	{1.190000f,		-3.390000f, 		1.460000f},
	{0.940000f,		-3.570000f, 		1.500000f},
	{1.400000f,		-3.230000f, 		2.060000f},
	{1.430000f,		-3.060000f, 		2.340000f},
	{1.330000f,		-3.260000f, 		2.340000f},
	{0.360000f,		-3.620000f, 		0.820000f},
	{0.350000f,		-3.780000f, 		1.290000f},
	{1.290000f,		-3.370000f, 		2.170000f},
	{1.070000f,		-3.540000f, 		1.700000f},
	{1.100000f,		-3.520000f, 		2.300000f},
	{0.850000f,		-3.750000f, 		2.050000f},
	{0.310000f,		-4.020000f, 		1.640000f},
	{0.100000f,		-5.520000f, 		2.360000f},
	{0.580000f,		-4.260000f, 		2.060000f},
	{0.870000f,		-4.530000f, 		2.560000f},
	{0.990000f,		-4.380000f, 		2.720000f},
	{1.080000f,		-3.720000f, 		2.450000f},
	{1.210000f,		-3.590000f, 		2.870000f},
	{0.640000f,		-5.640000f, 		2.730000f},
	{0.480000f,		-5.770000f, 		2.660000f},
	{0.800000f,		-5.070000f, 		2.660000f},
	{0.670000f,		-5.190000f, 		2.590000f},
	{1.050000f,		-4.670000f, 		3.110000f},
	{0.190000f,		-4.950000f, 		2.140000f},
	{0.720000f,		-3.280000f, 		3.910000f},
	{1.070000f,		-3.670000f, 		3.520000f},
	{0.870000f,		-2.870000f, 		3.640000f},
	{1.280000f,		-2.830000f, 		3.070000f},
	{1.190000f,		-3.640000f, 		3.140000f},
	{1.010000f,		-4.150000f, 		3.770000f},
	{1.090000f,		-4.430000f, 		3.420000f},
	{1.130000f,		-4.050000f, 		3.150000f},
	{1.080000f,		-4.970000f, 		3.400000f},
	{0.780000f,		-6.230000f, 		3.110000f},
	{0.450000f,		-6.530000f, 		2.880000f},
	{0.200000f,		-6.620000f, 		2.870000f},
	{0.010000f,		-6.020000f, 		2.560000f},
	{-0.120000f,	-6.760000f, 		2.870000f},
	{-0.180000f,	-7.450000f, 		2.980000f},
	{-0.010000f,	-7.440000f, 		2.980000f},
	{0.300000f,		-7.340000f, 		2.940000f},
	{0.710000f,		-6.800000f, 		3.170000f},
	{0.750000f,		-7.200000f, 		3.160000f},
	{1.210000f,		-6.230000f, 		3.590000f},
	{1.450000f,		-6.520000f, 		3.700000f},
	{1.150000f,		-6.880000f, 		3.420000f},
	{1.030000f,		-5.880000f, 		3.400000f},
	{1.220000f,		-5.460000f, 		3.770000f},
	{1.130000f,		-4.760000f, 		3.640000f},
	{0.990000f,		-4.500000f, 		3.980000f},
	{1.230000f,		-5.280000f, 		3.990000f},
	{0.980000f,		-5.260000f, 		3.120000f},
	{0.930000f,		-6.550000f, 		3.310000f},
	{0.870000f,		-5.410000f, 		5.270000f},
	{1.110000f,		-6.180000f, 		5.730000f},
	{1.590000f,		-5.940000f, 		5.090000f},
	{1.720000f,		-5.930000f, 		4.530000f},
	{1.720000f,		-6.110000f, 		4.120000f},
	{1.460000f,		-5.640000f, 		4.260000f},
	{1.090000f,		-5.030000f, 		4.360000f},
	{0.540000f,		-4.100000f, 		4.560000f},
	{0.670000f,		-4.730000f, 		4.890000f},
	{1.450000f,		-6.520000f, 		3.690000f},
	{1.450000f,		-5.850000f, 		3.960000f},
	{1.330000f,		-5.530000f, 		4.780000f},
	{0.390000f,		-4.060000f, 		4.660000f},
	{0.440000f,		-4.670000f, 		5.020000f},
	{0.360000f,		-5.390000f, 		5.500000f},
	{0.380000f,		-6.260000f, 		5.990000f},
	{0.410000f,		-3.240000f, 		4.270000f},
	{0.430000f,		-3.630000f, 		4.410000f},
	{0.300000f,		-2.660000f, 		4.340000f},
	{0.260000f,		-2.620000f, 		4.430000f},
	{1.140000f,		-1.830000f, 		4.090000f},
	{0.790000f,		-2.200000f, 		4.250000f},
	{0.840000f,		-2.390000f, 		3.800000f},
	{0.420000f,		-2.790000f, 		4.250000f},
	{1.600000f,		-2.370000f, 		2.290000f},
	{1.370000f,		-2.360000f, 		2.630000f},
	{1.350000f,		-3.090000f, 		2.520000f},
	{1.590000f,		-1.940000f, 		2.510000f},
	{1.640000f,		-2.400000f, 		1.890000f},
	{1.670000f,		-1.910000f, 		2.200000f},
	{1.400000f,		-1.980000f, 		2.670000f},
	{1.720000f,		-1.710000f, 		2.450000f},
	{1.750000f,		-1.430000f, 		2.480000f},
	{1.400000f,		-1.770000f, 		2.910000f},
	{1.200000f,		-2.140000f, 		3.190000f},
	{1.470000f,		-1.490000f, 		3.260000f},
	{1.600000f,		-1.190000f, 		3.530000f},
	{1.810000f,		-0.930000f, 		2.860000f},
	{1.820000f,		-1.100000f, 		2.700000f},
	{1.770000f,		-1.280000f, 		2.330000f},
	{1.790000f,		-1.290000f, 		2.540000f},
	{1.860000f,		-0.850000f, 		2.950000f},
	{2.030000f,		-0.550000f, 		3.060000f},
	{2.030000f,		-0.390000f, 		2.990000f},
	{2.100000f,		-0.180000f, 		3.240000f},
	{2.110000f,		-0.340000f, 		3.020000f},
	{2.240000f,		-0.230000f, 		3.190000f},
	{2.130000f,		-0.380000f, 		3.120000f},
	{2.270000f,		-0.330000f, 		3.290000f},
	{2.430000f,		-0.370000f, 		3.550000f},
	{2.300000f,		-0.390000f, 		3.460000f},
	{2.110000f,		-0.410000f, 		3.320000f},
	{2.330000f,		-0.530000f, 		3.620000f},
	{2.430000f,		-0.520000f, 		3.640000f},
	{2.240000f,		-0.220000f, 		3.380000f},
	{2.110000f,		-0.300000f, 		3.570000f},
	{1.960000f,		-0.520000f, 		3.670000f},
	{2.210000f,		-0.380000f, 		3.590000f},
	{2.450000f,		-0.340000f, 		3.580000f},
	{2.410000f,		-0.580000f, 		3.740000f},
	{1.980000f,		-1.150000f, 		3.650000f},
	{2.180000f,		-1.400000f, 		3.540000f},
	{2.310000f,		-1.050000f, 		3.720000f},
	{2.180000f,		-0.780000f, 		3.480000f},
	{2.330000f,		-0.740000f, 		3.680000f},
	{2.330000f,		-1.050000f, 		3.660000f},
	{2.230000f,		-1.240000f, 		3.480000f},
	{2.230000f,		-1.300000f, 		3.500000f},
	{2.410000f,		-0.730000f, 		3.710000f},
	{1.820000f,		-0.860000f, 		3.690000f},
	{2.140000f,		-0.720000f, 		3.710000f},
	{1.820000f,		-1.500000f, 		3.370000f},
	{1.680000f,		-1.750000f, 		3.110000f},
	{2.060000f,		-1.590000f, 		3.380000f},
	{1.610000f,		-1.930000f, 		2.860000f},
	{1.740000f,		-2.000000f, 		2.680000f},
	{1.870000f,		-1.900000f, 		2.910000f},
	{1.950000f,		-1.770000f, 		3.120000f},
	{1.980000f,		-1.690000f, 		2.930000f},
	{2.030000f,		-1.630000f, 		3.160000f},
	{2.080000f,		-1.490000f, 		3.070000f},
	{1.900000f,		-1.760000f, 		2.730000f},
	{1.860000f,		-1.650000f, 		2.600000f},
	{2.140000f,		-1.400000f, 		3.310000f},
	{1.970000f,		-1.370000f, 		3.150000f},
	{2.040000f,		-1.310000f, 		3.340000f},
	{1.850000f,		-1.440000f, 		2.600000f},
	{1.760000f,		-1.880000f, 		2.540000f},
	{1.860000f,		-1.360000f, 		2.940000f},
	{1.800000f,		-1.270000f, 		2.860000f},
	{1.750000f,		-1.060000f, 		3.060000f},
	{1.770000f,		-1.100000f, 		2.930000f},
	{2.000000f,		-1.480000f, 		2.840000f},
	{1.860000f,		-1.040000f, 		2.860000f},
	{1.870000f,		-1.220000f, 		2.750000f},
	{1.960000f,		-0.900000f, 		3.200000f},
	{1.830000f,		-0.950000f, 		3.020000f},
	{1.860000f,		-0.970000f, 		3.080000f},
	{1.840000f,		-0.970000f, 		2.940000f},
	{1.980000f,		-0.850000f, 		3.250000f},
	{1.950000f,		-0.980000f, 		3.340000f},
	{1.910000f,		-1.250000f, 		3.200000f},
	{1.950000f,		-1.110000f, 		3.360000f},
	{2.060000f,		-0.810000f, 		3.380000f},
	{2.030000f,		-0.640000f, 		3.340000f},
	{1.930000f,		-0.650000f, 		3.180000f},
	{2.180000f,		-1.040000f, 		3.470000f},
	{2.280000f,		-0.570000f, 		3.520000f},
	{1.960000f,		-0.780000f, 		3.080000f},
	{2.020000f,		-0.490000f, 		3.220000f},
};

sgl_vector Normals[NUM_VERTICES] = 
{
	{-0.023400f,		-0.013100f, 		-0.004300f},
	{-0.027500f,		-0.003100f, 		-0.003800f},
	{-0.028000f,		-0.005300f, 		-0.027400f},
	{-0.023500f,		-0.019300f, 		-0.020300f},
	{-0.020100f,		-0.014700f, 		-0.005600f},
	{-0.024200f,		-0.009800f, 		-0.008900f},
	{-0.026400f,		-0.003700f, 		-0.010600f},
	{-0.120200f,		-0.008000f, 		-0.019600f},
	{-0.019500f,		-0.004900f, 		-0.010800f},
	{-0.023300f,		-0.005000f, 		-0.010400f},
	{-0.022000f,		-0.000300f, 		-0.014900f},
	{-0.030300f,		-0.008900f, 		-0.031300f},
	{-0.035800f,		-0.000100f, 		-0.037200f},
	{-0.026700f,		-0.001400f, 		-0.026600f},
	{-0.012300f,		-0.007100f, 		-0.015800f},
	{-0.016900f,		-0.015700f, 		-0.017000f},
	{-0.026200f,		0.002800f, 		-0.036400f},
	{-0.023800f,		0.004100f, 		-0.024300f},
	{-0.022600f,		-0.006100f, 		-0.015700f},
	{-0.020800f,		0.007100f, 		-0.027900f},
	{-0.018200f,		0.015900f, 		-0.027500f},
	{-0.018900f,		0.003800f, 		-0.017400f},
	{-0.030200f,		0.001600f, 		-0.023100f},
	{-0.031800f,		0.009200f, 		-0.019900f},
	{-0.017000f,		-0.004900f, 		-0.019700f},
	{-0.023200f,		0.004500f, 		-0.011000f},
	{-0.032200f,		0.031200f, 		-0.014000f},
	{-0.019300f,		0.024200f, 		-0.014400f},
	{-0.011000f,		-0.002900f, 		0.001100f},
	{-0.040400f,		0.001600f, 		-0.007200f},
	{-0.015200f,		0.001400f, 		0.001000f},
	{-0.018200f,		-0.003100f, 		0.007900f},
	{-0.010600f,		-0.005600f, 		-0.003900f},
	{-0.026500f,		0.001600f, 		-0.000200f},
	{-0.028000f,		0.007100f, 		-0.009800f},
	{-0.029900f,		0.003300f, 		-0.011900f},
	{-0.031400f,		0.011900f, 		-0.014100f},
	{-0.028400f,		0.007000f, 		0.001500f},
	{-0.042400f,		0.014900f, 		-0.020600f},
	{-0.039500f,		-0.002400f, 		-0.026700f},
	{-0.042200f,		-0.012700f, 		-0.012500f},
	{-0.032700f,		0.011800f, 		-0.012400f},
	{-0.030300f,		-0.015900f, 		-0.022200f},
	{-0.042800f,		-0.009300f, 		-0.019700f},
	{-0.080400f,		-0.023900f, 		0.017300f},
	{-0.012500f,		-0.042900f, 		-0.001900f},
	{-0.031700f,		-0.031400f, 		0.000900f},
	{-0.040000f,		-0.014000f, 		-0.016500f},
	{-0.047600f,		-0.001000f, 		-0.017100f},
	{-0.026300f,		0.001900f, 		-0.011000f},
	{-0.036800f,		-0.014700f, 		-0.005000f},
	{-0.015400f,		-0.036900f, 		0.027600f},
	{-0.011700f,		-0.034300f, 		0.043700f},
	{-0.021400f,		-0.006600f, 		-0.003200f},
	{-0.018100f,		-0.039300f, 		0.020400f},
	{0.005900f,			-0.057000f, 		0.036800f},
	{0.016200f,			-0.069500f, 		0.065000f},
	{-0.067300f,		-0.038100f, 		0.034700f},
	{-0.142300f,		-0.086000f, 		0.052900f},
	{-0.127000f,		-0.112800f, 		0.072200f},
	{0.018000f,			-0.070400f, 		0.094500f},
	{-0.072400f,		-0.093700f, 		0.097800f},
	{0.011500f,			-0.045600f, 		0.117200f},
	{0.005400f,			0.006300f, 		0.099900f},
	{-0.001200f,		0.010700f, 		0.045200f},
	{-0.008900f,		-0.011600f, 		0.046000f},
	{0.007100f,			-0.014100f, 		0.106700f},
	{-0.003200f,		0.016400f, 		0.065800f},
	{0.002900f,			0.023400f, 		0.054800f},
	{-0.011300f,		-0.002500f, 		-0.006600f},
	{-0.009800f,		-0.003400f, 		-0.007200f},
	{-0.008500f,		0.021600f, 		0.014000f},
	{-0.012600f,		-0.009200f, 		-0.012500f},
	{0.000200f,			0.033100f, 		0.026900f},
	{-0.006000f,		0.044900f, 		0.011200f},
	{-0.015600f,		0.011000f, 		-0.011500f},
	{-0.005400f,		0.038000f, 		-0.010000f},
	{-0.016500f,		-0.017800f, 		-0.011100f},
	{-0.011500f,		0.009700f, 		-0.016800f},
	{-0.034400f,		0.011700f, 		-0.030000f},
	{-0.014800f,		-0.003100f, 		-0.026100f},
	{-0.176400f,		-0.021900f, 		0.000100f},
	{-0.276800f,		-0.000700f, 		-0.002400f},
	{-0.176900f,		-0.007900f, 		-0.001700f},
	{-0.213400f,		-0.036600f, 		-0.005800f},
	{-0.195400f,		-0.030400f, 		-0.005700f},
	{-0.155600f,		-0.013200f, 		-0.013900f},
	{-0.142300f,		-0.015200f, 		0.001000f},
	{-0.356800f,		-0.170700f, 		0.065700f},
	{-0.335800f,		-0.057400f, 		0.110700f},
	{-0.220700f,		-0.006500f, 		0.076500f},
	{-0.359800f,		0.016900f, 		0.117000f},
	{-0.349100f,		0.027000f, 		0.219300f},
	{-0.270400f,		-0.104800f, 		0.123500f},
	{-0.186900f,		-0.024700f, 		-0.004600f},
	{-0.210700f,		-0.028000f, 		0.065700f},
	{-0.148400f,		-0.025400f, 		-0.045900f},
	{-0.212300f,		-0.040500f, 		-0.059500f},
	{-0.162000f,		-0.063500f, 		-0.017100f},
	{-0.169900f,		-0.029100f, 		0.040100f},
	{-0.204900f,		-0.030400f, 		0.018000f},
	{-0.044000f,		-0.026900f, 		0.014100f},
	{-0.111400f,		-0.067800f, 		-0.018000f},
	{-0.239200f,		-0.038600f, 		-0.028200f},
	{-0.140400f,		0.001200f, 		0.162300f},
	{-0.277100f,		0.064600f, 		0.187600f},
	{-0.048300f,		0.043200f, 		0.231300f},
	{-0.005100f,		-0.026300f, 		0.178500f},
	{-0.076400f,		-0.067100f, 		0.064200f},
	{-0.026900f,		-0.048600f, 		0.030200f},
	{-0.167200f,		-0.126500f, 		0.067700f},
	{-0.005500f,		0.041800f, 		0.291500f},
	{-0.003200f,		0.151600f, 		0.297800f},
	{-0.193900f,		0.111700f, 		0.201800f},
	{-0.283200f,		0.072900f, 		0.130700f},
	{-0.308000f,		0.132200f, 		0.106400f},
	{-0.270800f,		0.150600f, 		0.135600f},
	{-0.036600f,		0.160200f, 		0.253300f},
	{-0.103300f,		0.304000f, 		0.464400f},
	{-0.251200f,		0.358000f, 		0.467700f},
	{-0.134000f,		0.379100f, 		0.638100f},
	{-0.005300f,		0.343900f, 		0.583400f},
	{-0.005300f,		0.334300f, 		0.518500f},
	{-0.003000f,		0.299400f, 		0.465100f},
	{-0.068200f,		0.204900f, 		0.320200f},
	{-0.234100f,		0.196300f, 		0.185600f},
	{-0.265700f,		0.306700f, 		0.304700f},
	{-0.001300f,		0.238100f, 		0.373500f},
	{-0.277800f,		0.250200f, 		0.101000f},
	{-0.181900f,		0.168000f, 		-0.002700f},
	{-0.279200f,		0.300100f, 		0.200000f},
	{-0.339200f,		0.211600f, 		0.091100f},
	{-0.178900f,		0.133000f, 		-0.029300f},
	{-0.146400f,		0.071500f, 		-0.121700f},
	{-0.147300f,		0.079000f, 		-0.179800f},
	{-0.138600f,		0.096300f, 		-0.105500f},
	{-0.198600f,		0.084800f, 		-0.015200f},
	{-0.202400f,		0.035300f, 		-0.109200f},
	{-0.153300f,		0.042300f, 		-0.169500f},
	{-0.111800f,		0.010400f, 		-0.148400f},
	{-0.075600f,		0.018300f, 		-0.165400f},
	{-0.111600f,		0.033900f, 		-0.184800f},
	{-0.225700f,		0.004000f, 		-0.150800f},
	{-0.212400f,		-0.036000f, 		-0.202000f},
	{-0.092800f,		-0.004900f, 		-0.151700f},
	{-0.260100f,		-0.029000f, 		-0.145900f},
	{-0.202900f,		0.007000f, 		-0.073100f},
	{-0.217700f,		-0.016600f, 		-0.066500f},
	{-0.149000f,		-0.030400f, 		-0.091200f},
	{-0.195600f,		-0.049300f, 		-0.174400f},
	{-0.182400f,		0.041000f, 		-0.007800f},
	{-0.187300f,		0.013000f, 		0.000600f},
	{-0.113600f,		0.041200f, 		-0.180000f},
	{-0.081500f,		-0.020100f, 		-0.211000f},
	{-0.108600f,		-0.045000f, 		-0.199100f},
	{-0.024300f,		-0.052100f, 		-0.215400f},
	{0.016500f,			-0.023700f, 		-0.184500f},
	{0.001700f,			-0.021600f, 		-0.145500f},
	{-0.011000f,		-0.052800f, 		-0.174600f},
	{0.002800f,			-0.045800f, 		-0.141400f},
	{0.002800f,			-0.012500f, 		-0.097700f},
	{-0.049200f,		-0.085200f, 		-0.204700f},
	{-0.081700f,		-0.058500f, 		-0.180900f},
	{-0.096100f,		-0.094300f, 		-0.236800f},
	{0.002900f,			-0.080700f, 		-0.175900f},
	{0.003300f,			-0.080000f, 		-0.177200f},
	{-0.205100f,		-0.014100f, 		-0.011600f},
	{-0.282100f,		0.034300f, 		0.123400f},
	{-0.196200f,		-0.007500f, 		0.029200f},
	{-0.243900f,		-0.045000f, 		-0.093400f},
	{-0.217400f,		-0.142100f, 		-0.331100f},
	{-0.165800f,		-0.069900f, 		-0.245400f},
	{-0.210300f,		-0.081800f, 		-0.222000f},
	{-0.261800f,		-0.148200f, 		-0.266600f},
	{-0.151000f,		-0.210100f, 		-0.234000f},
	{0.003300f,			-0.171400f, 		-0.331700f},
	{-0.191400f,		-0.047900f, 		-0.082500f},
	{-0.181300f,		-0.115500f, 		-0.110600f},
	{0.002200f,			-0.240400f, 		-0.313000f},
	{-0.004900f,		-0.278300f, 		-0.107100f},
	{-0.094400f,		-0.225800f, 		-0.112500f},
	{-0.133400f,		-0.220000f, 		-0.073100f},
	{-0.066800f,		-0.058700f, 		-0.000700f},
	{-0.093100f,		-0.095400f, 		-0.015600f},
	{-0.175100f,		-0.122800f, 		-0.069700f},
	{-0.092300f,		-0.282600f, 		-0.061200f},
	{-0.153900f,		-0.160000f, 		-0.069500f},
	{-0.047800f,		-0.159700f, 		-0.014000f},
	{-0.007100f,		-0.236700f, 		-0.035000f},
	{-0.216600f,		-0.070400f, 		-0.068100f},
	{-0.206900f,		-0.066100f, 		-0.095300f},
	{-0.159300f,		-0.039800f, 		-0.048600f},
	{-0.122000f,		-0.034200f, 		-0.057700f},
	{-0.118300f,		-0.026100f, 		-0.084100f},
	{-0.108500f,		-0.027200f, 		-0.073800f},
	{-0.107500f,		-0.040400f, 		-0.060300f},
	{-0.057300f,		-0.077300f, 		-0.036200f},
	{-0.016000f,		-0.108900f, 		-0.030200f},
	{-0.079300f,		-0.021700f, 		-0.054700f},
	{-0.049100f,		-0.012000f, 		-0.049000f},
	{-0.021300f,		-0.050600f, 		-0.040400f},
	{-0.001400f,		-0.076000f, 		-0.049100f},
	{-0.020300f,		-0.024600f, 		-0.062100f},
	{-0.041700f,		0.009900f, 		-0.081700f},
	{0.002800f,			0.010800f, 		-0.098300f},
	{0.001000f,			-0.027800f, 		-0.063000f},
	{-0.072600f,		-0.005500f, 		-0.062200f},
	{-0.076400f,		-0.015700f, 		-0.080900f},
	{-0.065100f,		0.002900f, 		-0.070000f},
	{-0.071300f,		0.008500f, 		-0.066800f},
	{-0.128400f,		-0.027400f, 		-0.021800f},
	{-0.150400f,		-0.022100f, 		-0.034000f},
	{-0.135700f,		-0.036300f, 		-0.042500f},
	{-0.131600f,		-0.036000f, 		-0.089600f},
	{-0.118700f,		-0.034200f, 		-0.102300f},
	{-0.145700f,		-0.014600f, 		-0.073600f},
	{-0.105300f,		-0.010900f, 		-0.095000f},
	{-0.118500f,		-0.032200f, 		-0.120600f},
	{-0.112600f,		-0.019800f, 		-0.109500f},
	{-0.073200f,		-0.009800f, 		-0.104800f},
	{-0.062200f,		0.007300f, 		-0.105100f},
	{-0.056500f,		-0.015600f, 		-0.073700f},
	{-0.086300f,		-0.022600f, 		-0.090200f},
	{-0.009000f,		0.005300f, 		-0.059300f},
	{-0.027900f,		-0.000800f, 		-0.034700f},
	{-0.004700f,		-0.010900f, 		-0.023800f},
	{0.000700f,			-0.006100f, 		-0.048600f},
	{-0.011000f,		-0.003500f, 		-0.015200f},
	{-0.026800f,		-0.004900f, 		-0.019300f},
	{-0.018800f,		0.008600f, 		-0.021000f},
	{-0.006300f,		0.004900f, 		-0.021900f},
	{-0.002400f,		0.003400f, 		-0.025200f},
	{0.000200f,			-0.009700f, 		-0.027500f},
	{-0.005900f,		-0.004600f, 		-0.024400f},
	{0.000600f,			-0.005900f, 		-0.025700f},
	{0.000700f,			0.002100f, 		-0.017500f},
	{-0.052800f,		0.000000f, 		-0.048300f},
	{-0.050400f,		-0.012800f, 		-0.061700f},
	{-0.049200f,		0.006700f, 		-0.073900f},
	{-0.027700f,		-0.004500f, 		-0.025000f},
	{-0.017900f,		-0.008300f, 		-0.019500f},
	{-0.020200f,		0.001200f, 		-0.022100f},
	{-0.007000f,		0.001300f, 		-0.015600f},
	{-0.007600f,		-0.007500f, 		-0.014700f},
	{-0.006000f,		-0.010800f, 		-0.022400f},
	{-0.009400f,		-0.010200f, 		-0.021400f},
	{-0.007300f,		-0.000600f, 		-0.023600f},
	{0.000700f,			0.002400f, 		-0.020100f},
	{0.000400f,			-0.007700f, 		-0.017100f},
	{-0.015300f,		0.003900f, 		-0.022600f},
	{-0.022700f,		0.017000f, 		-0.046100f},
	{-0.034500f,		0.007200f, 		-0.060200f},
	{-0.027400f,		0.004000f, 		-0.033400f},
	{-0.000100f,		-0.007100f, 		-0.021300f},
	{0.001000f,			0.006700f, 		-0.024800f},
	{-0.034300f,		0.011900f, 		-0.067800f},
	{-0.036800f,		0.008200f, 		-0.065000f},
	{-0.017500f,		-0.017600f, 		-0.018900f},
	{-0.004500f,		-0.018300f, 		-0.016200f},
	{-0.003900f,		-0.023700f, 		-0.006800f},
	{-0.012100f,		-0.020600f, 		-0.002100f},
	{-0.018900f,		-0.016000f, 		-0.015500f},
	{-0.021900f,		-0.007200f, 		-0.013000f},
	{-0.051200f,		0.013200f, 		-0.080500f},
	{-0.040600f,		0.018500f, 		-0.021600f},
	{-0.020600f,		-0.003600f, 		-0.017500f},
	{-0.013600f,		-0.008300f, 		-0.020200f},
	{-0.036100f,		0.017700f, 		-0.029300f},
	{-0.025900f,		0.024700f, 		-0.047000f},
	{0.001500f,			0.000100f, 		-0.039300f},
	{-0.000800f,		-0.016200f, 		-0.020500f},
	{-0.066300f,		0.003000f, 		-0.093200f},
	{-0.064200f,		0.016300f, 		-0.080300f},
	{-0.053800f,		0.024000f, 		-0.097600f},
	{-0.058500f,		0.017800f, 		-0.129300f},
	{-0.037000f,		0.037100f, 		-0.098900f},
	{-0.032500f,		0.014300f, 		-0.064000f},
	{-0.008700f,		0.012100f, 		-0.048900f},
	{-0.016700f,		0.026300f, 		-0.054700f},
	{-0.069000f,		0.045200f, 		-0.089100f},
	{-0.051300f,		0.030100f, 		-0.112200f},
	{-0.068300f,		0.029100f, 		-0.055800f},
	{-0.051800f,		0.031600f, 		-0.029600f},
	{-0.115900f,		0.058500f, 		-0.102000f},
	{-0.099200f,		0.045900f, 		-0.100800f},
	{-0.103300f,		0.035300f, 		-0.124300f},
	{0.005100f,			0.059000f, 		-0.105700f},
	{0.005300f,			0.052600f, 		-0.148400f},
	{-0.031000f,		-0.000800f, 		-0.029600f},
	{-0.055600f,		0.020400f, 		-0.067800f},
	{-0.070800f,		0.015400f, 		-0.053200f},
	{-0.062900f,		0.013600f, 		-0.050600f},
	{-0.013300f,		-0.004700f, 		-0.013300f},
	{-0.019400f,		0.000100f, 		-0.024700f},
	{-0.007700f,		-0.000600f, 		-0.022900f},
	{-0.007800f,		-0.003100f, 		-0.012000f},
	{-0.004000f,		-0.003900f, 		-0.020200f},
	{-0.003800f,		-0.000500f, 		-0.026400f},
	{-0.000700f,		0.005200f, 		-0.027000f},
	{0.001000f,			0.001100f, 		-0.024600f},
	{-0.004300f,		0.005800f, 		-0.019500f},
	{-0.018000f,		0.009500f, 		-0.030100f},
	{-0.004400f,		0.008100f, 		-0.048600f},
	{-0.038300f,		-0.000800f, 		-0.066000f},
	{-0.106700f,		0.018700f, 		-0.081800f},
	{-0.127200f,		0.011900f, 		-0.056000f},
	{-0.134000f,		0.004500f, 		-0.021100f},
	{-0.143400f,		0.017100f, 		-0.016200f},
	{-0.112600f,		0.012600f, 		-0.019600f},
	{-0.073300f,		0.012900f, 		-0.024300f},
	{-0.063800f,		-0.001500f, 		-0.065900f},
	{-0.054000f,		-0.004500f, 		-0.036400f},
	{-0.052300f,		-0.019300f, 		-0.062800f},
	{-0.047000f,		-0.003900f, 		-0.068500f},
	{-0.125100f,		0.007600f, 		-0.030500f},
	{-0.232800f,		0.024800f, 		-0.017800f},
	{-0.265300f,		0.024500f, 		-0.035900f},
	{-0.111800f,		0.013000f, 		-0.051600f},
	{-0.013900f,		0.003500f, 		-0.057200f},
	{0.003800f,			0.025600f, 		-0.076100f},
	{-0.041400f,		0.027400f, 		-0.066300f},
	{-0.019800f,		-0.014500f, 		-0.061600f},
	{-0.015200f,		-0.024300f, 		-0.058100f},
	{-0.001900f,		0.002100f, 		-0.062100f},
	{-0.007400f,		-0.005700f, 		-0.061100f},
	{-0.034700f,		-0.024900f, 		-0.062900f},
	{-0.013400f,		0.032100f, 		-0.121600f},
	{-0.015900f,		0.012700f, 		-0.083500f},
	{-0.018400f,		0.088700f, 		-0.177600f},
	{0.006600f,			0.104400f, 		-0.227100f},
	{-0.033300f,		0.030700f, 		-0.096800f},
	{-0.039800f,		-0.016000f, 		-0.066500f},
	{-0.092000f,		0.035000f, 		-0.082700f},
	{-0.072300f,		0.094200f, 		-0.162200f},
	{0.006600f,			0.077400f, 		-0.173800f},
	{0.011100f,			0.133300f, 		-0.272700f},
	{-0.026900f,		0.142800f, 		-0.275400f},
	{-0.093200f,		0.124800f, 		-0.208000f},
	{-0.149800f,		0.075300f, 		-0.137800f},
	{-0.153500f,		0.065600f, 		-0.107100f},
	{-0.198900f,		0.042200f, 		-0.068400f},
	{-0.297900f,		0.016200f, 		-0.044300f},
	{-0.227700f,		0.052500f, 		-0.088300f},
	{-0.336000f,		0.018900f, 		-0.026100f},
	{0.150000f,		-0.031900f, 		-0.026000f},
	{0.149000f,		-0.024200f, 		-0.065500f},
	{0.130900f,		0.003900f, 		-0.048800f},
	{0.338200f,		-0.001400f, 		-0.007500f},
	{0.037100f,		0.008800f, 		-0.028000f},
	{0.119700f,		-0.015800f, 		-0.013300f},
	{0.274900f,		-0.018300f, 		0.012100f},
	{0.234300f,		0.008400f, 		-0.005600f},
	{0.174300f,		-0.019800f, 		0.007000f},
	{0.144700f,		0.007900f, 		-0.010000f},
	{0.114000f,		0.004300f, 		-0.014800f},
	{0.268900f,		0.009000f, 		-0.021100f},
	{0.301200f,		0.002300f, 		-0.025400f},
	{0.162600f,		0.064600f, 		-0.131700f},
	{0.234500f,		0.038600f, 		-0.074000f},
	{0.163400f,		0.055800f, 		-0.099900f},
	{0.097700f,		0.029300f, 		-0.078100f},
	{0.202600f,		0.029800f, 		-0.056500f},
	{0.114100f,		0.005500f, 		-0.045500f},
	{0.086900f,		0.089000f, 		-0.159700f},
	{0.111600f,		0.117600f, 		-0.205300f},
	{0.050000f,		0.140100f, 		-0.274400f},
	{0.033200f,		0.087100f, 		-0.176000f},
	{0.011800f,		0.103600f, 		-0.225000f},
	{0.041600f,		-0.018500f, 		-0.064300f},
	{0.054800f,		-0.023100f, 		-0.060700f},
	{0.050200f,		-0.007200f, 		-0.066600f},
	{0.066800f,		-0.005600f, 		-0.062600f},
	{0.021800f,		-0.016000f, 		-0.060700f},
	{0.021200f,		0.012200f, 		-0.082700f},
	{0.040200f,		0.028900f, 		-0.095100f},
	{0.017200f,		-0.025200f, 		-0.057200f},
	{0.036200f,		-0.027100f, 		-0.060700f},
	{0.110900f,		0.026300f, 		-0.115600f},
	{0.021400f,		0.030900f, 		-0.118600f},
	{0.041500f,		-0.003700f, 		-0.064500f},
	{0.046900f,		0.025200f, 		-0.065600f},
	{0.066300f,		0.008900f, 		-0.047400f},
	{0.007800f,		0.007600f, 		-0.049000f},
	{0.010600f,		-0.006500f, 		-0.061000f},
	{0.005800f,		0.001900f, 		-0.062400f},
	{0.002200f,		0.025600f, 		-0.076300f},
	{0.017800f,		0.002800f, 		-0.056800f},
	{0.055500f,		-0.008900f, 		-0.033300f},
	{0.127600f,		-0.001900f, 		-0.024500f},
	{0.074800f,		0.008200f, 		-0.019400f},
	{0.074000f,		0.010500f, 		-0.049100f},
	{0.133500f,		-0.004100f, 		-0.014000f},
	{0.209400f,		-0.049500f, 		0.004400f},
	{0.020600f,		0.024700f, 		-0.052300f},
	{0.075600f,		0.041000f, 		-0.085800f},
	{0.019700f,		0.008300f, 		-0.029300f},
	{0.060800f,		0.017100f, 		-0.065400f},
	{0.036700f,		0.011600f, 		-0.062000f},
	{0.021100f,		-0.001100f, 		-0.023500f},
	{0.112100f,		0.011700f, 		-0.075500f},
	{0.108300f,		-0.017600f, 		-0.088700f},
	{0.068700f,		0.012700f, 		-0.077500f},
	{0.060400f,		0.020300f, 		-0.095100f},
	{0.107000f,		0.038700f, 		-0.096000f},
	{0.005200f,		0.004800f, 		-0.019300f},
	{0.000400f,		0.000200f, 		-0.024200f},
	{0.004800f,		-0.004100f, 		-0.020200f},
	{0.005000f,		-0.001000f, 		-0.026300f},
	{0.008300f,		-0.004200f, 		-0.011500f},
	{0.013800f,		-0.006200f, 		-0.011800f},
	{0.002400f,		0.004900f, 		-0.026200f},
	{0.012000f,		0.011700f, 		-0.048100f},
	{0.008800f,		-0.001100f, 		-0.022900f},
	{0.032600f,		-0.003400f, 		-0.028100f},
	{0.136700f,		-0.045100f, 		-0.035700f},
	{0.058800f,		0.026600f, 		-0.109000f},
	{0.073200f,		0.024900f, 		-0.052000f},
	{0.029500f,		0.022300f, 		-0.044100f},
	{0.038100f,		0.015600f, 		-0.027700f},
	{0.124000f,		0.050600f, 		-0.095200f},
	{0.055200f,		0.028900f, 		-0.027400f},
	{0.021500f,		-0.005300f, 		-0.017000f},
	{0.042600f,		0.015900f, 		-0.019000f},
	{0.055900f,		0.009100f, 		-0.076900f},
	{0.066500f,		0.013700f, 		-0.126900f},
	{0.067700f,		0.003000f, 		-0.102200f},
	{0.077400f,		-0.014700f, 		-0.102100f},
	{0.040500f,		0.006000f, 		-0.062000f},
	{0.044200f,		0.033900f, 		-0.096500f},
	{0.071300f,		-0.001000f, 		-0.091300f},
	{0.121000f,		-0.039700f, 		-0.114100f},
	{0.018700f,		-0.016000f, 		-0.013500f},
	{0.014400f,		-0.009200f, 		-0.019400f},
	{0.029800f,		0.002500f, 		-0.031300f},
	{0.002700f,		-0.024400f, 		-0.007100f},
	{0.011400f,		-0.021400f, 		-0.001600f},
	{0.004500f,		-0.019000f, 		-0.016200f},
	{0.038700f,		0.005000f, 		-0.058300f},
	{0.022200f,		-0.008900f, 		-0.011300f},
	{0.017800f,		-0.018500f, 		-0.018300f},
	{0.053800f,		0.003600f, 		-0.071400f},
	{0.039100f,		0.010400f, 		-0.066100f},
	{0.059200f,		-0.018600f, 		-0.070400f},
	{0.008400f,		-0.001100f, 		-0.023100f},
	{0.026400f,		0.015100f, 		-0.044800f},
	{0.016500f,		0.002900f, 		-0.021600f},
	{0.006900f,		-0.005000f, 		-0.023100f},
	{0.009500f,		-0.010500f, 		-0.020300f},
	{0.007500f,		-0.007900f, 		-0.013600f},
	{0.018200f,		-0.009100f, 		-0.018900f},
	{0.028200f,		-0.006000f, 		-0.023400f},
	{0.006300f,		-0.010900f, 		-0.021800f},
	{0.007700f,		0.004700f, 		-0.021400f},
	{0.007700f,		0.000500f, 		-0.015400f},
	{0.021300f,		-0.001000f, 		-0.021500f},
	{0.020000f,		0.007400f, 		-0.020000f},
	{0.068300f,		-0.001500f, 		-0.066200f},
	{0.055400f,		-0.003100f, 		-0.045800f},
	{0.052500f,		-0.015800f, 		-0.058700f},
	{0.028100f,		-0.006800f, 		-0.018100f},
	{0.090000f,		-0.028000f, 		-0.085400f},
	{0.079200f,		-0.020400f, 		-0.075800f},
	{0.074900f,		0.003700f, 		-0.062800f},
	{0.045600f,		0.006200f, 		-0.078900f},
	{0.029800f,		-0.002800f, 		-0.033100f},
	{0.005100f,		-0.010600f, 		-0.023500f},
	{0.004000f,		0.003300f, 		-0.024900f},
	{0.011800f,		-0.003800f, 		-0.014800f},
	{0.012400f,		0.004100f, 		-0.059000f},
	{0.120900f,		-0.033900f, 		-0.078100f},
	{0.109900f,		-0.034100f, 		-0.067500f},
	{0.123600f,		-0.043000f, 		-0.052400f},
	{0.120400f,		-0.042800f, 		-0.096300f},
	{0.158700f,		-0.050000f, 		-0.039700f},
	{0.115600f,		-0.027400f, 		-0.103300f},
	{0.134200f,		-0.044700f, 		-0.082500f},
	{0.126900f,		-0.035100f, 		-0.015700f},
	{0.194800f,		-0.041600f, 		0.002300f},
	{0.154200f,		-0.023700f, 		-0.005300f},
	{0.147500f,		-0.035100f, 		-0.038400f},
	{0.080800f,		-0.027200f, 		-0.050200f},
	{0.050600f,		-0.015900f, 		-0.047200f},
	{0.107900f,		-0.047500f, 		-0.054300f},
	{0.075200f,		-0.010800f, 		-0.057700f},
	{0.146700f,		-0.169200f, 		-0.061300f},
	{0.020600f,		-0.050600f, 		-0.039700f},
	{0.010200f,		-0.108900f, 		-0.029400f},
	{0.038300f,		-0.163300f, 		-0.011100f},
	{0.022000f,		-0.025300f, 		-0.060100f},
	{0.055000f,		-0.081300f, 		-0.034100f},
	{0.212000f,		-0.054700f, 		-0.049000f},
	{0.215600f,		-0.085700f, 		-0.057200f},
	{0.206800f,		-0.080000f, 		-0.084900f},
	{0.169300f,		-0.133100f, 		-0.060500f},
	{0.120400f,		-0.227200f, 		-0.067000f},
	{0.158100f,		-0.074200f, 		-0.008800f},
	{0.166800f,		-0.040500f, 		0.048500f},
	{0.041500f,		-0.029400f, 		0.015900f},
	{0.076700f,		-0.289200f, 		-0.055100f},
	{0.086100f,		-0.232700f, 		-0.108300f},
	{0.063200f,		-0.063600f, 		0.002100f},
	{0.088000f,		-0.100600f, 		-0.010600f},
	{0.107700f,		-0.075300f, 		-0.012500f},
	{0.178700f,		-0.127300f, 		-0.101200f},
	{0.148500f,		-0.218500f, 		-0.227000f},
	{0.102000f,		-0.102000f, 		-0.231400f},
	{0.264500f,		-0.164400f, 		-0.252100f},
	{0.215400f,		-0.094900f, 		-0.209800f},
	{0.245300f,		-0.060700f, 		-0.081300f},
	{0.193100f,		-0.060400f, 		-0.073000f},
	{0.236800f,		-0.054900f, 		-0.016000f},
	{0.200800f,		-0.062700f, 		-0.162300f},
	{0.085900f,		-0.064400f, 		-0.176800f},
	{0.150600f,		-0.039500f, 		-0.084000f},
	{0.173100f,		-0.079800f, 		-0.234500f},
	{0.220400f,		-0.029900f, 		-0.056700f},
	{0.225300f,		-0.154300f, 		-0.317300f},
	{0.269100f,		0.047900f, 		0.200600f},
	{0.279000f,		0.016800f, 		0.137800f},
	{0.334800f,		0.005700f, 		0.235800f},
	{0.354100f,		-0.004900f, 		0.136500f},
	{0.196700f,		-0.021600f, 		0.039700f},
	{0.281800f,		0.055100f, 		0.147200f},
	{0.188100f,		0.000800f, 		0.009800f},
	{0.205900f,		-0.027000f, 		-0.002200f},
	{0.207200f,		-0.007000f, 		-0.060900f},
	{0.218200f,		-0.049700f, 		-0.188800f},
	{0.115300f,		-0.051300f, 		-0.190600f},
	{0.030900f,		-0.053900f, 		-0.215300f},
	{0.055000f,		-0.088300f, 		-0.200700f},
	{0.018000f,		-0.052600f, 		-0.170900f},
	{0.005800f,		-0.021500f, 		-0.142100f},
	{-0.010300f,	-0.022200f, 		-0.185300f},
	{0.089200f,		-0.024800f, 		-0.205200f},
	{0.099600f,		-0.010700f, 		-0.146800f},
	{0.087000f,		0.011400f, 		-0.162000f},
	{0.163000f,		0.032800f, 		-0.162600f},
	{0.120800f,		0.034200f, 		-0.173400f},
	{0.123100f,		0.026100f, 		-0.179500f},
	{0.233400f,		-0.011100f, 		-0.138500f},
	{0.209200f,		0.022300f, 		-0.099600f},
	{0.186100f,		0.028200f, 		0.002400f},
	{0.309600f,		0.110900f, 		0.121600f},
	{0.203600f,		0.071600f, 		-0.005300f},
	{0.265600f,		-0.047500f, 		-0.132300f},
	{0.119700f,		0.003200f, 		-0.143200f},
	{0.269900f,		0.289400f, 		0.320800f},
	{0.251900f,		0.342400f, 		0.483900f},
	{0.282300f,		0.276800f, 		0.213500f},
	{0.191500f,		0.154300f, 		0.006100f},
	{0.152200f,		0.086300f, 		-0.095700f},
	{0.188500f,		0.120800f, 		-0.019600f},
	{0.346900f,		0.188800f, 		0.107100f},
	{0.270800f,		0.132800f, 		0.149400f},
	{0.238000f,		0.182200f, 		0.198900f},
	{0.161400f,		0.068800f, 		-0.170900f},
	{0.155900f,		0.061900f, 		-0.113200f},
	{0.286800f,		0.230300f, 		0.114600f},
	{0.033300f,		0.156400f, 		0.253600f},
	{0.064100f,		0.202400f, 		0.322700f},
	{0.099100f,		0.297300f, 		0.469600f},
	{0.125600f,		0.365600f, 		0.644000f},
	{0.038600f,		0.040600f, 		0.231400f},
	{0.188400f,		0.098800f, 		0.210200f},
	{0.069000f,		-0.070300f, 		0.069000f},
	{0.020500f,		-0.045600f, 		0.029400f},
	{0.344600f,		-0.194100f, 		0.083800f},
	{0.155300f,		-0.135300f, 		0.079700f},
	{0.257100f,		-0.121600f, 		0.137400f},
	{0.130500f,		-0.008700f, 		0.167500f},
	{0.205500f,		-0.041100f, 		0.077200f},
	{0.216200f,		-0.019500f, 		0.087900f},
	{0.201700f,		-0.043400f, 		0.027900f},
	{0.077800f,		-0.028600f, 		0.021400f},
	{0.183500f,		-0.036600f, 		0.005300f},
	{0.140700f,		-0.025100f, 		0.009900f},
	{0.063200f,		-0.042200f, 		0.038700f},
	{0.043000f,		-0.012500f, 		-0.017700f},
	{0.048500f,		-0.004800f, 		-0.014400f},
	{0.135200f,		-0.095900f, 		0.060800f},
	{0.325200f,		-0.077200f, 		0.127200f},
	{0.115500f,		-0.122100f, 		0.079100f},
	{0.060300f,		-0.099700f, 		0.101100f},
	{0.039900f,		-0.000800f, 		-0.004800f},
	{0.028800f,		0.005800f, 		-0.008500f},
	{0.174500f,		-0.033000f, 		0.009200f},
	{0.030700f,		0.001000f, 		-0.010200f},
	{0.020100f,		-0.006200f, 		-0.009900f},
	{0.024200f,		-0.011200f, 		-0.007200f},
	{0.016800f,		-0.003900f, 		-0.025600f},
	{0.008600f,		0.036600f, 		-0.009600f},
	{0.013400f,		0.008500f, 		-0.016000f},
	{0.016200f,		0.009800f, 		-0.010200f},
	{0.019500f,		-0.015900f, 		-0.004500f},
	{0.015900f,		-0.019200f, 		-0.010800f},
	{0.012100f,		-0.009700f, 		-0.011400f},
	{0.016600f,		-0.017000f, 		-0.016200f},
	{0.023300f,		-0.020500f, 		-0.019400f},
	{0.012600f,		-0.007900f, 		-0.015000f},
	{0.009400f,		-0.003900f, 		-0.006700f},
	{0.009200f,		0.044300f, 		0.011300f},
	{0.001700f,		0.032400f, 		0.026500f},
	{0.001500f,		0.015500f, 		0.066100f},
	{-0.003400f,	0.023100f, 		0.054100f},
	{0.009200f,		0.020800f, 		0.014300f},
	{0.000000f,		0.011000f, 		0.045200f},
	{-0.021000f,	-0.045000f, 		0.116100f},
	{0.007400f,		-0.034900f, 		0.043600f},
	{0.006300f,		-0.011900f, 		0.045800f},
	{0.038300f,		-0.003000f, 		-0.035200f},
	{0.028200f,		-0.003400f, 		-0.025200f},
	{0.031400f,		-0.000200f, 		-0.021600f},
	{0.020000f,		0.003300f, 		-0.016900f},
	{0.021600f,		-0.007700f, 		-0.002400f},
	{0.011300f,		-0.003300f, 		-0.006300f},
	{-0.014300f,	-0.013700f, 		0.107000f},
	{-0.010300f,	0.006900f, 		0.100100f},
	{-0.028400f,	-0.069100f, 		0.093500f},
	{-0.025000f,	-0.068800f, 		0.064700f},
	{0.011400f,		-0.037400f, 		0.028100f},
	{-0.011400f,	-0.056600f, 		0.036300f},
	{0.009700f,		-0.043900f, 		-0.001400f},
	{0.028900f,		-0.033200f, 		0.002000f},
	{0.014400f,		-0.040100f, 		0.021100f},
	{0.042000f,		-0.015100f, 		-0.010300f},
	{0.036600f,		-0.017200f, 		-0.002700f},
	{0.033800f,		0.009700f, 		-0.010400f},
	{0.039100f,		-0.016100f, 		-0.014200f},
	{0.040000f,		-0.004800f, 		-0.024800f},
	{0.026700f,		-0.000200f, 		-0.009600f},
	{0.021700f,		0.023400f, 		-0.013200f},
	{0.020700f,		0.015100f, 		-0.027100f},
	{0.032900f,		0.009700f, 		-0.012300f},
	{0.030000f,		-0.018200f, 		-0.021100f},
	{0.035700f,		0.029900f, 		-0.012300f},
	{0.029000f,		0.004800f, 		0.003200f},
	{0.023900f,		0.002800f, 		-0.009300f},
	{0.017400f,		-0.004700f, 		0.009100f},
	{0.045000f,		0.012400f, 		-0.018900f},
	{0.015500f,		0.000600f, 		0.001600f},
	{0.026600f,		-0.000500f, 		0.001300f},
	{0.023700f,		-0.006800f, 		-0.009000f},
	{0.010600f,		-0.006100f, 		-0.003200f},
	{0.017700f,		-0.006700f, 		-0.019000f},
	{0.010700f,		-0.003300f, 		0.001900f},
	{0.021900f,		-0.001900f, 		-0.013500f},
	{0.022200f,		-0.008100f, 		-0.013700f},
	{0.033800f,		0.007100f, 		-0.018100f},
	{0.022300f,		0.006100f, 		-0.027000f},
	{0.025300f,		0.002100f, 		-0.022600f},
	{0.028900f,		-0.006800f, 		-0.026200f},
	{0.027200f,		-0.004700f, 		-0.002600f},
	{0.027900f,		0.001200f, 		-0.034800f},
	{0.031400f,		-0.010600f, 		-0.029600f},
	{0.026900f,		-0.005500f, 		-0.009100f},
	{0.023100f,		-0.014300f, 		-0.003200f},
};			 
			 
int Faces[NUM_FACES][NUM_VERTICES_PER_FACE] = 
{
	{0,		1, 			2},
	{0,		2, 			3},
	{0,		3, 			4},
	{0,		4, 			5},
	{0,		5, 			1},
	{6,		5, 			7},
	{6,		7, 			8},
	{6,		8, 			9},
	{6,		9, 			10},
	{6,		10, 		1},
	{6,		1, 			5},
	{11,	3, 			2},
	{11,	2, 			12},
	{11,	12, 		13},
	{11,	13, 		14},
	{11,	14, 		15},
	{11,	15, 		3},
	{16,	12, 		17},
	{16,	17, 		10},
	{16,	10, 		18},
	{16,	18, 		19},
	{16,	19, 		20},
	{16,	20, 		21},
	{16,	21, 		22},
	{16,	22, 		12},
	{2,		1, 			10},
	{10,	17, 		2},
	{2,		17, 		12},
	{23,	9, 			24},
	{23,	24, 		25},
	{23,	25, 		26},
	{23,	26, 		27},
	{23,	27, 		20},
	{23,	20, 		19},
	{23,	19, 		18},
	{23,	18, 		9},
	{9,		18, 		10},
	{28,	8, 			29},
	{28,	29, 		30},
	{28,	30, 		31},
	{28,	31, 		25},
	{28,	25, 		32},
	{28,	32, 		8},
	{32,	25, 		24},
	{32,	24, 		9},
	{32,	9, 			8},
	{33,	31, 		30},
	{33,	30, 		34},
	{33,	34, 		35},
	{33,	35, 		36},
	{33,	36, 		37},
	{33,	37, 		31},
	{34,	30, 		29},
	{38,	26, 		36},
	{38,	36, 		39},
	{38,	39, 		40},
	{38,	40, 		41},
	{38,	41, 		26},
	{37,	36, 		26},
	{25,	31, 		37},
	{25,	37, 		26},
	{27,	26, 		41},
	{42,	39, 		43},
	{42,	43, 		44},
	{42,	44, 		45},
	{42,	45, 		46},
	{42,	46, 		47},
	{42,	47, 		39},
	{48,	43, 		39},
	{39,	36, 		48},
	{48,	36, 		35},
	{49,	21, 		20},
	{49,	20, 		27},
	{49,	27, 		41},
	{49,	41, 		50},
	{49,	50, 		51},
	{49,	51, 		52},
	{49,	52, 		53},
	{49,	53, 		21},
	{40,	39, 		47},
	{40,	47, 		46},
	{41,	40, 		50},
	{54,	51, 		50},
	{54,	50, 		40},
	{54,	40, 		46},
	{54,	46, 		55},
	{54,	55, 		56},
	{54,	56, 		51},
	{46,	45, 		55},
	{55,	45, 		57},
	{57,	45, 		44},
	{55,	57, 		58},
	{58,	56, 		55},
	{56,	58, 		59},
	{60,	61, 		62},
	{60,	62, 		52},
	{60,	52, 		51},
	{60,	51, 		56},
	{60,	56, 		59},
	{60,	59, 		61},
	{63,	64, 		65},
	{63,	65, 		62},
	{63,	62, 		66},
	{63,	66, 		67},
	{63,	67, 		68},
	{63,	68, 		64},
	{66,	62, 		61},
	{69,	14, 		13},
	{69,	13, 		22},
	{69,	22, 		65},
	{69,	65, 		64},
	{69,	64, 		70},
	{69,	70, 		14},
	{53,	52, 		65},
	{21,	53, 		65},
	{65,	22, 		21},
	{22,	13, 		12},
	{65,	52, 		62},
	{71,	72, 		70},
	{71,	70, 		64},
	{71,	64, 		68},
	{71,	68, 		73},
	{71,	73, 		74},
	{71,	74, 		75},
	{71,	75, 		72},
	{73,	68, 		67},
	{73,	76, 		74},
	{74,	76, 		75},
	{14,	70, 		72},
	{14,	72, 		15},
	{77,	4, 			3},
	{77,	3, 			15},
	{77,	15, 		72},
	{77,	72, 		75},
	{77,	75, 		4},
	{78,	79, 		80},
	{78,	80, 		5},
	{78,	5, 			4},
	{78,	4, 			75},
	{78,	75, 		76},
	{78,	76, 		79},
	{79,	7, 			80},
	{80,	7, 			5},
	{29,	8, 			7},
	{81,	29, 		7},
	{81,	7, 			82},
	{81,	82, 		83},
	{81,	83, 		84},
	{81,	84, 		85},
	{81,	85, 		86},
	{81,	86, 		87},
	{81,	87, 		48},
	{81,	48, 		35},
	{81,	35, 		34},
	{81,	34, 		29},
	{88,	61, 		59},
	{59,	58, 		88},
	{89,	58, 		57},
	{89,	57, 		90},
	{89,	90, 		91},
	{89,	91, 		92},
	{89,	92, 		93},
	{89,	93, 		88},
	{89,	88, 		58},
	{48,	87, 		43},
	{43,	87, 		44},
	{44,	90, 		57},
	{94,	95, 		44},
	{94,	44, 		87},
	{94,	87, 		86},
	{94,	86, 		96},
	{94,	96, 		97},
	{94,	97, 		98},
	{94,	98, 		99},
	{94,	99, 		95},
	{44,	95, 		90},
	{100,	91, 		90},
	{100,	90, 		99},
	{100,	99, 		101},
	{100,	101, 		102},
	{100,	102, 		103},
	{100,	103, 		91},
	{99,	90, 		95},
	{104,	93, 		92},
	{104,	92, 		105},
	{104,	105, 		106},
	{104,	106, 		107},
	{104,	107, 		108},
	{104,	108, 		93},
	{108,	109, 		110},
	{110,	93, 		108},
	{93,	110, 		88},
	{109,	108, 		107},
	{111,	106, 		112},
	{113,	106, 		105},
	{113,	105, 		114},
	{113,	114, 		115},
	{113,	115, 		116},
	{113,	116, 		117},
	{113,	117, 		112},
	{113,	112, 		106},
	{106,	111, 		107},
	{118,	119, 		120},
	{118,	120, 		121},
	{118,	121, 		122},
	{118,	122, 		123},
	{118,	123, 		124},
	{118,	124, 		125},
	{118,	125, 		126},
	{118,	126, 		119},
	{116,	125, 		117},
	{117,	125, 		124},
	{124,	123, 		117},
	{117,	123, 		127},
	{127,	112, 		117},
	{128,	129, 		130},
	{128,	130, 		126},
	{128,	126, 		125},
	{128,	125, 		131},
	{128,	131, 		132},
	{128,	132, 		129},
	{133,	134, 		135},
	{133,	135, 		132},
	{133,	132, 		136},
	{133,	136, 		137},
	{133,	137, 		138},
	{133,	138, 		134},
	{116,	131, 		125},
	{116,	115, 		131},
	{131,	115, 		136},
	{136,	132, 		131},
	{132,	135, 		129},
	{130,	119, 		126},
	{139,	140, 		141},
	{139,	141, 		138},
	{139,	138, 		142},
	{139,	142, 		143},
	{139,	143, 		144},
	{139,	144, 		140},
	{145,	143, 		142},
	{145,	142, 		146},
	{145,	146, 		147},
	{145,	147, 		148},
	{145,	148, 		149},
	{145,	149, 		143},
	{150,	146, 		137},
	{150,	137, 		136},
	{150,	136, 		115},
	{150,	115, 		114},
	{150,	114, 		151},
	{150,	151, 		146},
	{142,	138, 		137},
	{137,	146, 		142},
	{141,	152, 		138},
	{153,	140, 		144},
	{144,	143, 		153},
	{153,	143, 		154},
	{154,	155, 		153},
	{153,	155, 		156},
	{156,	155, 		157},
	{157,	155, 		158},
	{158,	159, 		157},
	{157,	159, 		160},
	{161,	159, 		158},
	{161,	158, 		155},
	{161,	155, 		162},
	{161,	162, 		163},
	{161,	163, 		164},
	{161,	164, 		165},
	{161,	165, 		159},
	{155,	154, 		162},
	{162,	154, 		149},
	{149,	154, 		143},
	{147,	146, 		151},
	{166,	151, 		167},
	{166,	167, 		168},
	{166,	168, 		103},
	{166,	103, 		169},
	{166,	169, 		147},
	{166,	147, 		151},
	{167,	151, 		114},
	{114,	105, 		167},
	{91,	103, 		168},
	{168,	167, 		91},
	{91,	167, 		92},
	{92,	167, 		105},
	{170,	163, 		171},
	{170,	171, 		172},
	{170,	172, 		173},
	{170,	173, 		174},
	{170,	174, 		175},
	{170,	175, 		163},
	{172,	170, 		171},
	{171,	148, 		172},
	{172,	148, 		169},
	{169,	148, 		147},
	{171,	163, 		162},
	{162,	148, 		171},
	{148,	162, 		149},
	{176,	177, 		169},
	{176,	169, 		103},
	{176,	103, 		102},
	{176,	102, 		177},
	{172,	169, 		177},
	{177,	173, 		172},
	{173,	177, 		174},
	{175,	164, 		163},
	{174,	178, 		175},
	{178,	174, 		179},
	{179,	174, 		180},
	{180,	174, 		181},
	{181,	174, 		177},
	{102,	101, 		182},
	{182,	101, 		98},
	{183,	98, 		184},
	{183,	184, 		181},
	{183,	181, 		177},
	{183,	177, 		102},
	{183,	102, 		182},
	{183,	182, 		98},
	{185,	179, 		180},
	{185,	180, 		181},
	{185,	181, 		186},
	{185,	186, 		187},
	{185,	187, 		188},
	{185,	188, 		179},
	{98,	101, 		99},
	{189,	184, 		98},
	{189,	98, 		97},
	{181,	184, 		186},
	{190,	97, 		96},
	{190,	96, 		191},
	{190,	191, 		192},
	{190,	192, 		193},
	{190,	193, 		194},
	{190,	194, 		195},
	{190,	195, 		186},
	{190,	186, 		184},
	{190,	184, 		189},
	{190,	189, 		97},
	{196,	197, 		187},
	{196,	187, 		186},
	{196,	186, 		198},
	{196,	198, 		199},
	{196,	199, 		200},
	{196,	200, 		197},
	{188,	197, 		201},
	{202,	201, 		200},
	{202,	200, 		199},
	{202,	199, 		203},
	{202,	203, 		204},
	{202,	204, 		205},
	{202,	205, 		201},
	{197,	188, 		187},
	{201,	197, 		200},
	{198,	186, 		195},
	{206,	195, 		194},
	{206,	194, 		207},
	{206,	207, 		208},
	{206,	208, 		209},
	{206,	209, 		198},
	{206,	198, 		195},
	{209,	203, 		199},
	{199,	198, 		209},
	{210,	191, 		96},
	{210,	96, 		86},
	{210,	86, 		85},
	{210,	85, 		84},
	{210,	84, 		211},
	{210,	211, 		212},
	{210,	212, 		191},
	{213,	214, 		192},
	{213,	192, 		212},
	{213,	212, 		215},
	{213,	215, 		216},
	{213,	216, 		217},
	{213,	217, 		214},
	{218,	217, 		219},
	{218,	219, 		220},
	{218,	220, 		221},
	{218,	221, 		222},
	{218,	222, 		193},
	{218,	193, 		214},
	{218,	214, 		217},
	{212,	192, 		191},
	{214,	193, 		192},
	{193,	207, 		194},
	{207,	193, 		222},
	{223,	204, 		203},
	{223,	203, 		224},
	{223,	224, 		225},
	{223,	225, 		226},
	{223,	226, 		204},
	{227,	224, 		228},
	{227,	228, 		229},
	{227,	229, 		230},
	{227,	230, 		225},
	{227,	225, 		224},
	{231,	232, 		225},
	{231,	225, 		230},
	{231,	230, 		233},
	{231,	233, 		234},
	{231,	234, 		235},
	{231,	235, 		232},
	{225,	232, 		226},
	{236,	228, 		224},
	{236,	224, 		209},
	{236,	209, 		208},
	{224,	203, 		209},
	{237,	208, 		207},
	{237,	207, 		222},
	{237,	222, 		221},
	{237,	221, 		238},
	{237,	238, 		239},
	{237,	239, 		240},
	{237,	240, 		241},
	{237,	241, 		229},
	{237,	229, 		228},
	{237,	228, 		236},
	{237,	236, 		208},
	{242,	230, 		229},
	{242,	229, 		241},
	{242,	241, 		240},
	{242,	240, 		243},
	{242,	243, 		233},
	{242,	233, 		230},
	{244,	234, 		233},
	{244,	233, 		245},
	{244,	245, 		246},
	{244,	246, 		247},
	{244,	247, 		248},
	{244,	248, 		234},
	{249,	246, 		245},
	{249,	245, 		243},
	{249,	243, 		239},
	{249,	239, 		238},
	{239,	243, 		240},
	{243,	245, 		233},
	{250,	246, 		249},
	{250,	249, 		238},
	{250,	238, 		251},
	{250,	251, 		252},
	{250,	252, 		253},
	{250,	253, 		254},
	{250,	254, 		247},
	{250,	247, 		246},
	{255,	256, 		238},
	{255,	238, 		221},
	{255,	221, 		220},
	{255,	220, 		256},
	{238,	256, 		251},
	{257,	251, 		258},
	{257,	258, 		259},
	{257,	259, 		260},
	{257,	260, 		261},
	{257,	261, 		252},
	{257,	252, 		251},
	{262,	251, 		256},
	{262,	256, 		263},
	{262,	263, 		264},
	{262,	264, 		265},
	{262,	265, 		258},
	{262,	258, 		251},
	{259,	258, 		265},
	{266,	261, 		260},
	{266,	260, 		259},
	{266,	259, 		265},
	{266,	265, 		267},
	{266,	267, 		268},
	{266,	268, 		269},
	{253,	252, 		261},
	{261,	270, 		253},
	{266,	269, 		261},
	{261,	269, 		270},
	{271,	219, 		217},
	{271,	217, 		216},
	{271,	216, 		272},
	{271,	272, 		273},
	{271,	273, 		274},
	{271,	274, 		219},
	{275,	274, 		273},
	{275,	273, 		276},
	{275,	276, 		277},
	{275,	277, 		278},
	{275,	278, 		279},
	{275,	279, 		280},
	{275,	280, 		274},
	{263,	256, 		220},
	{220,	219, 		274},
	{274,	263, 		220},
	{274,	280, 		263},
	{263,	280, 		281},
	{281,	264, 		263},
	{282,	267, 		264},
	{282,	264, 		281},
	{264,	267, 		265},
	{283,	267, 		282},
	{283,	282, 		281},
	{283,	281, 		279},
	{283,	279, 		284},
	{283,	284, 		285},
	{283,	285, 		286},
	{283,	286, 		268},
	{283,	268, 		267},
	{269,	268, 		286},
	{279,	281, 		280},
	{215,	212, 		211},
	{285,	287, 		286},
	{288,	289, 		290},
	{288,	290, 		291},
	{288,	291, 		292},
	{288,	292, 		293},
	{288,	293, 		289},
	{294,	276, 		293},
	{294,	293, 		295},
	{294,	295, 		296},
	{294,	296, 		297},
	{294,	297, 		277},
	{294,	277, 		276},
	{298,	278, 		277},
	{298,	277, 		297},
	{298,	297, 		299},
	{298,	299, 		300},
	{298,	300, 		301},
	{298,	301, 		278},
	{293,	292, 		295},
	{297,	296, 		299},
	{301,	300, 		302},
	{302,	284, 		301},
	{301,	284, 		279},
	{284,	303, 		285},
	{302,	303, 		284},
	{289,	276, 		273},
	{273,	272, 		289},
	{304,	289, 		272},
	{304,	272, 		216},
	{304,	216, 		215},
	{304,	215, 		305},
	{304,	305, 		290},
	{304,	290, 		289},
	{293,	276, 		289},
	{301,	279, 		278},
	{306,	211, 		84},
	{306,	84, 		83},
	{306,	83, 		307},
	{306,	307, 		308},
	{306,	308, 		309},
	{306,	309, 		305},
	{306,	305, 		211},
	{309,	290, 		305},
	{310,	291, 		290},
	{310,	290, 		311},
	{310,	311, 		312},
	{310,	312, 		313},
	{310,	313, 		291},
	{311,	290, 		309},
	{309,	308, 		311},
	{314,	311, 		308},
	{314,	308, 		315},
	{314,	315, 		316},
	{314,	316, 		317},
	{314,	317, 		312},
	{314,	312, 		311},
	{318,	319, 		320},
	{318,	320, 		313},
	{318,	313, 		321},
	{318,	321, 		322},
	{318,	322, 		323},
	{318,	323, 		319},
	{324,	302, 		319},
	{324,	319, 		323},
	{324,	323, 		322},
	{324,	322, 		325},
	{324,	325, 		303},
	{324,	303, 		302},
	{291,	313, 		320},
	{325,	285, 		303},
	{326,	285, 		325},
	{326,	325, 		327},
	{326,	327, 		328},
	{326,	328, 		329},
	{326,	329, 		287},
	{326,	287, 		285},
	{327,	325, 		322},
	{322,	321, 		327},
	{330,	327, 		321},
	{330,	321, 		331},
	{330,	331, 		332},
	{330,	332, 		333},
	{330,	333, 		328},
	{330,	328, 		327},
	{331,	321, 		313},
	{313,	310, 		312},
	{312,	331, 		313},
	{331,	312, 		317},
	{331,	317, 		332},
	{334,	287, 		329},
	{329,	335, 		334},
	{329,	336, 		335},
	{336,	329, 		328},
	{328,	333, 		336},
	{336,	333, 		337},
	{337,	333, 		338},
	{338,	333, 		339},
	{339,	333, 		332},
	{340,	332, 		317},
	{340,	317, 		316},
	{340,	316, 		341},
	{340,	341, 		342},
	{340,	342, 		339},
	{340,	339, 		332},
	{339,	342, 		338},
	{341,	316, 		343},
	{343,	316, 		315},
	{315,	308, 		307},
	{307,	83, 		315},
	{315,	83, 		82},
	{82,	343, 		315},
	{343,	82, 		7},
	{7,		79, 		343},
	{305,	215, 		211},
	{344,	345, 		346},
	{347,	348, 		349},
	{349,	350, 		347},
	{351,	347, 		350},
	{350,	352, 		351},
	{351,	352, 		353},
	{353,	354, 		351},
	{351,	355, 		347},
	{347,	355, 		356},
	{357,	358, 		359},
	{360,	359, 		361},
	{359,	358, 		361},
	{358,	356, 		361},
	{356,	355, 		361},
	{355,	362, 		361},
	{362,	360, 		361},
	{360,	363, 		359},
	{359,	363, 		357},
	{357,	363, 		364},
	{364,	363, 		365},
	{365,	363, 		366},
	{366,	367, 		365},
	{335,	365, 		367},
	{334,	335, 		367},
	{367,	287, 		334},
	{360,	362, 		368},
	{362,	369, 		368},
	{370,	368, 		369},
	{369,	371, 		370},
	{370,	372, 		368},
	{373,	366, 		374},
	{366,	363, 		374},
	{363,	360, 		374},
	{360,	368, 		374},
	{368,	372, 		374},
	{372,	373, 		374},
	{373,	372, 		375},
	{375,	376, 		373},
	{377,	287, 		378},
	{287,	367, 		378},
	{367,	366, 		378},
	{366,	373, 		378},
	{373,	376, 		378},
	{376,	377, 		378},
	{379,	377, 		376},
	{380,	370, 		381},
	{382,	379, 		383},
	{379,	376, 		383},
	{376,	375, 		383},
	{375,	384, 		383},
	{384,	385, 		383},
	{385,	382, 		383},
	{385,	384, 		386},
	{384,	375, 		386},
	{375,	372, 		386},
	{372,	370, 		386},
	{370,	380, 		386},
	{380,	385, 		386},
	{387,	369, 		388},
	{369,	362, 		388},
	{362,	355, 		388},
	{355,	351, 		388},
	{351,	354, 		388},
	{354,	387, 		388},
	{387,	354, 		389},
	{389,	390, 		387},
	{381,	370, 		371},
	{370,	369, 		371},
	{369,	387, 		371},
	{387,	390, 		371},
	{390,	381, 		371},
	{346,	390, 		389},
	{344,	346, 		391},
	{346,	389, 		391},
	{389,	354, 		391},
	{354,	353, 		391},
	{353,	352, 		391},
	{352,	392, 		391},
	{392,	344, 		391},
	{393,	394, 		395},
	{396,	397, 		398},
	{396,	390, 		399},
	{390,	346, 		399},
	{346,	345, 		399},
	{345,	400, 		399},
	{400,	401, 		399},
	{401,	396, 		399},
	{396,	401, 		402},
	{402,	397, 		396},
	{403,	379, 		382},
	{377,	379, 		403},
	{394,	403, 		395},
	{395,	403, 		382},
	{382,	404, 		395},
	{405,	406, 		407},
	{408,	409, 		398},
	{393,	395, 		410},
	{395,	404, 		410},
	{404,	405, 		410},
	{405,	407, 		410},
	{407,	411, 		410},
	{411,	393, 		410},
	{397,	411, 		412},
	{411,	407, 		412},
	{407,	406, 		412},
	{406,	408, 		412},
	{408,	398, 		412},
	{398,	397, 		412},
	{396,	398, 		413},
	{398,	409, 		413},
	{409,	381, 		413},
	{381,	390, 		413},
	{390,	396, 		413},
	{286,	287, 		377},
	{344,	414, 		345},
	{415,	416, 		394},
	{286,	417, 		269},
	{418,	417, 		419},
	{417,	286, 		419},
	{286,	377, 		419},
	{377,	403, 		419},
	{403,	394, 		419},
	{394,	416, 		419},
	{416,	420, 		419},
	{420,	418, 		419},
	{421,	418, 		422},
	{416,	422, 		420},
	{422,	418, 		420},
	{423,	422, 		416},
	{416,	415, 		423},
	{423,	415, 		424},
	{425,	423, 		424},
	{424,	426, 		425},
	{425,	427, 		423},
	{424,	415, 		428},
	{415,	394, 		428},
	{394,	393, 		428},
	{393,	411, 		428},
	{411,	397, 		428},
	{397,	402, 		428},
	{402,	424, 		428},
	{426,	424, 		429},
	{424,	402, 		429},
	{402,	401, 		429},
	{401,	400, 		429},
	{400,	430, 		429},
	{430,	426, 		429},
	{270,	269, 		431},
	{431,	269, 		432},
	{253,	270, 		431},
	{431,	433, 		253},
	{269,	417, 		432},
	{417,	418, 		432},
	{418,	421, 		432},
	{421,	434, 		432},
	{434,	435, 		432},
	{435,	431, 		432},
	{421,	436, 		434},
	{437,	436, 		438},
	{436,	421, 		438},
	{421,	422, 		438},
	{422,	423, 		438},
	{423,	427, 		438},
	{427,	437, 		438},
	{437,	433, 		439},
	{433,	431, 		439},
	{431,	435, 		439},
	{435,	434, 		439},
	{434,	436, 		439},
	{436,	437, 		439},
	{437,	427, 		440},
	{427,	425, 		441},
	{425,	442, 		441},
	{442,	440, 		441},
	{440,	427, 		441},
	{443,	247, 		444},
	{247,	254, 		444},
	{254,	253, 		444},
	{253,	433, 		444},
	{433,	437, 		444},
	{437,	440, 		444},
	{440,	445, 		444},
	{445,	443, 		444},
	{446,	447, 		448},
	{449,	448, 		450},
	{440,	450, 		445},
	{450,	448, 		445},
	{448,	447, 		445},
	{447,	443, 		445},
	{234,	248, 		451},
	{248,	247, 		451},
	{247,	443, 		451},
	{443,	447, 		451},
	{447,	446, 		451},
	{446,	234, 		451},
	{452,	446, 		453},
	{446,	448, 		453},
	{448,	449, 		453},
	{449,	454, 		453},
	{454,	455, 		453},
	{455,	452, 		453},
	{456,	457, 		458},
	{457,	459, 		458},
	{459,	455, 		458},
	{455,	454, 		458},
	{454,	449, 		458},
	{449,	450, 		458},
	{450,	440, 		458},
	{440,	442, 		458},
	{442,	460, 		458},
	{460,	461, 		458},
	{461,	456, 		458},
	{462,	463, 		464},
	{456,	462, 		457},
	{462,	464, 		457},
	{464,	459, 		457},
	{226,	232, 		465},
	{232,	235, 		466},
	{235,	234, 		466},
	{234,	446, 		466},
	{446,	452, 		466},
	{452,	465, 		466},
	{465,	232, 		466},
	{464,	465, 		467},
	{465,	452, 		467},
	{452,	455, 		467},
	{455,	459, 		467},
	{459,	464, 		467},
	{204,	226, 		468},
	{226,	465, 		468},
	{465,	464, 		468},
	{464,	463, 		468},
	{463,	204, 		468},
	{460,	469, 		461},
	{470,	461, 		469},
	{471,	469, 		472},
	{473,	471, 		414},
	{430,	472, 		474},
	{472,	469, 		474},
	{469,	460, 		474},
	{460,	442, 		474},
	{442,	425, 		474},
	{425,	426, 		474},
	{426,	430, 		474},
	{472,	430, 		475},
	{430,	400, 		475},
	{400,	345, 		475},
	{345,	414, 		475},
	{414,	471, 		475},
	{471,	472, 		475},
	{473,	414, 		476},
	{414,	344, 		476},
	{344,	392, 		476},
	{392,	477, 		476},
	{477,	478, 		476},
	{478,	479, 		476},
	{479,	473, 		476},
	{462,	480, 		481},
	{481,	463, 		462},
	{482,	480, 		483},
	{480,	462, 		483},
	{462,	456, 		483},
	{456,	461, 		483},
	{461,	470, 		483},
	{470,	482, 		483},
	{482,	484, 		480},
	{485,	486, 		201},
	{487,	188, 		486},
	{201,	205, 		488},
	{205,	204, 		488},
	{204,	463, 		488},
	{463,	481, 		488},
	{481,	485, 		488},
	{485,	201, 		488},
	{201,	486, 		188},
	{486,	485, 		489},
	{485,	481, 		489},
	{481,	480, 		489},
	{480,	484, 		489},
	{484,	487, 		489},
	{487,	486, 		489},
	{490,	491, 		492},
	{491,	493, 		492},
	{493,	484, 		492},
	{484,	482, 		492},
	{482,	470, 		492},
	{470,	469, 		492},
	{469,	471, 		492},
	{471,	473, 		492},
	{473,	479, 		492},
	{479,	490, 		492},
	{484,	493, 		494},
	{490,	495, 		491},
	{495,	493, 		491},
	{496,	497, 		495},
	{179,	188, 		498},
	{188,	487, 		498},
	{487,	484, 		498},
	{484,	494, 		498},
	{494,	499, 		498},
	{499,	179, 		498},
	{495,	500, 		501},
	{500,	502, 		501},
	{502,	503, 		501},
	{503,	494, 		501},
	{494,	493, 		501},
	{493,	495, 		501},
	{495,	497, 		500},
	{500,	497, 		502},
	{503,	504, 		494},
	{494,	504, 		499},
	{499,	504, 		179},
	{179,	504, 		178},
	{175,	178, 		504},
	{505,	164, 		175},
	{504,	503, 		506},
	{507,	506, 		503},
	{503,	508, 		507},
	{503,	502, 		509},
	{502,	510, 		509},
	{510,	508, 		509},
	{508,	503, 		509},
	{511,	512, 		513},
	{514,	513, 		512},
	{512,	505, 		514},
	{515,	513, 		508},
	{508,	513, 		507},
	{507,	513, 		514},
	{514,	516, 		507},
	{505,	175, 		516},
	{175,	504, 		516},
	{504,	506, 		516},
	{506,	507, 		516},
	{507,	514, 		516},
	{514,	505, 		516},
	{517,	518, 		519},
	{519,	518, 		520},
	{520,	518, 		521},
	{521,	510, 		520},
	{518,	517, 		522},
	{522,	523, 		518},
	{523,	515, 		524},
	{515,	508, 		524},
	{508,	510, 		524},
	{510,	521, 		524},
	{521,	518, 		524},
	{518,	523, 		524},
	{523,	525, 		515},
	{526,	527, 		511},
	{511,	527, 		512},
	{512,	527, 		528},
	{159,	165, 		529},
	{165,	164, 		529},
	{164,	505, 		529},
	{505,	512, 		529},
	{512,	528, 		529},
	{528,	530, 		529},
	{530,	159, 		529},
	{160,	159, 		531},
	{531,	159, 		530},
	{530,	528, 		531},
	{531,	528, 		532},
	{532,	528, 		533},
	{533,	528, 		527},
	{527,	526, 		533},
	{533,	526, 		534},
	{534,	535, 		533},
	{536,	537, 		538},
	{539,	525, 		540},
	{540,	536, 		539},
	{525,	523, 		541},
	{523,	522, 		541},
	{522,	542, 		541},
	{542,	543, 		541},
	{543,	540, 		541},
	{540,	525, 		541},
	{526,	511, 		544},
	{511,	513, 		544},
	{513,	515, 		544},
	{515,	525, 		544},
	{525,	539, 		544},
	{539,	526, 		544},
	{535,	534, 		545},
	{534,	526, 		545},
	{526,	539, 		545},
	{539,	536, 		545},
	{536,	538, 		545},
	{538,	535, 		545},
	{546,	547, 		548},
	{549,	550, 		551},
	{552,	551, 		543},
	{543,	542, 		552},
	{552,	542, 		553},
	{554,	552, 		553},
	{555,	536, 		556},
	{536,	540, 		556},
	{540,	543, 		556},
	{543,	551, 		556},
	{551,	550, 		556},
	{550,	555, 		556},
	{549,	551, 		557},
	{551,	552, 		557},
	{552,	554, 		557},
	{554,	546, 		557},
	{546,	548, 		557},
	{548,	549, 		557},
	{558,	112, 		127},
	{127,	123, 		558},
	{558,	123, 		559},
	{559,	554, 		558},
	{558,	554, 		553},
	{547,	546, 		560},
	{546,	554, 		560},
	{554,	559, 		560},
	{559,	123, 		560},
	{123,	122, 		560},
	{122,	121, 		560},
	{121,	561, 		560},
	{561,	547, 		560},
	{107,	111, 		562},
	{562,	112, 		563},
	{112,	558, 		563},
	{558,	553, 		563},
	{553,	542, 		563},
	{542,	522, 		563},
	{522,	517, 		563},
	{517,	562, 		563},
	{112,	562, 		111},
	{107,	564, 		565},
	{566,	567, 		568},
	{564,	568, 		567},
	{567,	565, 		564},
	{568,	564, 		569},
	{564,	107, 		569},
	{107,	562, 		569},
	{562,	517, 		569},
	{517,	519, 		569},
	{519,	568, 		569},
	{570,	571, 		496},
	{520,	510, 		572},
	{510,	502, 		572},
	{502,	497, 		572},
	{497,	496, 		572},
	{496,	571, 		572},
	{571,	520, 		572},
	{571,	570, 		573},
	{570,	496, 		574},
	{496,	495, 		574},
	{495,	490, 		574},
	{490,	479, 		574},
	{479,	478, 		574},
	{478,	575, 		574},
	{575,	573, 		574},
	{573,	570, 		574},
	{576,	571, 		573},
	{573,	575, 		577},
	{577,	575, 		578},
	{579,	566, 		580},
	{566,	568, 		580},
	{568,	519, 		580},
	{519,	520, 		580},
	{520,	571, 		580},
	{571,	576, 		580},
	{576,	579, 		580},
	{566,	579, 		581},
	{581,	582, 		566},
	{583,	584, 		585},
	{584,	586, 		585},
	{586,	578, 		585},
	{578,	575, 		585},
	{575,	478, 		585},
	{478,	477, 		585},
	{477,	392, 		585},
	{392,	352, 		585},
	{352,	350, 		585},
	{350,	349, 		585},
	{349,	583, 		585},
	{349,	587, 		583},
	{588,	349, 		589},
	{589,	349, 		348},
	{348,	590, 		591},
	{590,	592, 		591},
	{592,	593, 		591},
	{593,	588, 		591},
	{588,	589, 		591},
	{589,	348, 		591},
	{593,	592, 		594},
	{592,	595, 		594},
	{595,	596, 		594},
	{596,	597, 		594},
	{597,	593, 		594},
	{596,	595, 		598},
	{595,	599, 		598},
	{592,	590, 		600},
	{600,	590, 		601},
	{602,	603, 		601},
	{595,	592, 		604},
	{592,	600, 		604},
	{600,	601, 		604},
	{601,	603, 		604},
	{603,	605, 		604},
	{605,	599, 		604},
	{599,	595, 		604},
	{606,	607, 		608},
	{609,	610, 		611},
	{612,	611, 		608},
	{608,	613, 		612},
	{608,	607, 		613},
	{598,	599, 		614},
	{599,	605, 		614},
	{605,	608, 		614},
	{608,	611, 		614},
	{611,	610, 		614},
	{610,	598, 		614},
	{582,	606, 		615},
	{605,	603, 		616},
	{603,	602, 		616},
	{602,	615, 		616},
	{615,	606, 		616},
	{606,	608, 		616},
	{608,	605, 		616},
	{582,	581, 		617},
	{581,	618, 		617},
	{618,	619, 		617},
	{619,	607, 		617},
	{607,	606, 		617},
	{606,	582, 		617},
	{581,	579, 		618},
	{620,	618, 		579},
	{579,	576, 		620},
	{573,	621, 		576},
	{576,	621, 		620},
	{620,	621, 		622},
	{619,	618, 		623},
	{618,	620, 		623},
	{620,	622, 		623},
	{622,	624, 		623},
	{624,	625, 		623},
	{625,	619, 		623},
	{625,	624, 		626},
	{622,	627, 		624},
	{627,	628, 		624},
	{612,	613, 		629},
	{613,	607, 		629},
	{607,	619, 		629},
	{619,	625, 		629},
	{625,	626, 		629},
	{626,	630, 		629},
	{630,	631, 		629},
	{631,	612, 		629},
	{586,	632, 		578},
	{578,	632, 		628},
	{628,	577, 		578},
	{628,	627, 		633},
	{627,	622, 		633},
	{622,	621, 		633},
	{621,	573, 		633},
	{573,	577, 		633},
	{577,	628, 		633},
	{626,	634, 		630},
	{634,	635, 		636},
	{635,	637, 		636},
	{634,	632, 		635},
	{634,	626, 		638},
	{626,	624, 		638},
	{624,	628, 		638},
	{628,	632, 		638},
	{632,	634, 		638},
	{583,	639, 		584},
	{637,	635, 		640},
	{635,	632, 		640},
	{632,	586, 		640},
	{586,	584, 		640},
	{584,	639, 		640},
	{639,	637, 		640},
	{587,	641, 		642},
	{641,	643, 		642},
	{643,	636, 		642},
	{587,	642, 		644},
	{642,	636, 		644},
	{636,	637, 		644},
	{637,	639, 		644},
	{639,	583, 		644},
	{583,	587, 		644},
	{645,	646, 		641},
	{641,	646, 		647},
	{646,	648, 		647},
	{648,	631, 		647},
	{631,	630, 		647},
	{630,	634, 		647},
	{634,	636, 		647},
	{636,	643, 		647},
	{643,	641, 		647},
	{609,	649, 		650},
	{650,	649, 		645},
	{645,	651, 		650},
	{609,	611, 		652},
	{611,	612, 		652},
	{612,	631, 		652},
	{631,	648, 		652},
	{648,	646, 		652},
	{646,	645, 		652},
	{645,	649, 		652},
	{649,	609, 		652},
	{597,	596, 		653},
	{596,	598, 		653},
	{598,	610, 		653},
	{610,	609, 		653},
	{609,	650, 		653},
	{650,	597, 		653},
	{588,	651, 		654},
	{651,	645, 		654},
	{645,	641, 		654},
	{641,	587, 		654},
	{587,	349, 		654},
	{349,	588, 		654},
	{651,	588, 		655},
	{588,	593, 		655},
	{593,	597, 		655},
	{597,	650, 		655},
	{650,	651, 		655},
};

/****************************************************************************************
/*								LOCAL FUNCTION DEFINITIONS								*
/***************************************************************************************/

int		CreateNefertt		(void);
void	ModifyNefertt		(int nMesh);
void	testPolygonMeshes	(int nMesh);

/****************************************************************************************
/*								LOCAL FUNCTIONS											*
/***************************************************************************************/

/****************************************************************************************
/*
/*	Function Name	:	CreateNefertt
/*	Inputs			:	None.
/*	Outputs			:	Outputs message.
/*	Returns			:	int		nMesh	:mesh handle
/*	Globals Used	:	None
/*	Description		:	Creates the Nefertt polygon mesh.
/*
/***************************************************************************************/

int CreateNefertt (void)
{
	int        k,nMesh;
	sgl_vector VerticesScaled20[NUM_VERTICES];

	for(k = 0 ; k < NUM_VERTICES ; k++)
	{
		VerticesScaled20[k][0] = Vertices[k][0] * factor;
		VerticesScaled20[k][1] = Vertices[k][1] * factor;
		VerticesScaled20[k][2] = Vertices[k][2] * factor;
	} 
	
	nMesh = sgl_create_mesh (TRUE);

	if (nMesh >= sgl_no_err)
	{
		sgl_add_vertices (NUM_VERTICES, VerticesScaled20, Normals, NULL);

		for (k = 0; k < NUM_FACES; ++k)
			sgl_add_face (3, Faces[k]);
	}
	return (nMesh);
}


/****************************************************************************************
/*
/*	Function Name	:	ModifyNefertt
/*	Inputs			:	int		nMesh	:mesh handle.
/*	Outputs			:	Outputs message.
/*	Returns			:	None
/*	Globals Used	:
/*	Description		:	Tests the modify mesh, add vertices and add face routines. This
/*						is done by modifying the size of the Nefertt demo.
/*
/***************************************************************************************/

void ModifyNefertt (int nMesh)
{
	int				k;
	sgl_vector		VerticesScaled20[NUM_VERTICES];

	/* Change factor setting.
	 */	
	if (factor == 10.0f)
		factor = 20.0f;
	else
		factor = 10.0f;

	for(k = 0 ; k < NUM_VERTICES ; k++)
	{
		VerticesScaled20[k][0] = Vertices[k][0] * factor;
		VerticesScaled20[k][1] = Vertices[k][1] * factor;
		VerticesScaled20[k][2] = Vertices[k][2] * factor;
	} 

	sgl_modify_mesh (nMesh, TRUE);

	/* Need to check for errors.
	 */
	{
		sgl_add_vertices (NUM_VERTICES, VerticesScaled20, Normals, NULL);
		for (k = 0; k < NUM_FACES; ++k)
		{
			sgl_add_face (3, Faces[k]);
		}
	}
}

/* end of file
 */
